<?php

namespace App\Helper;

use Illuminate\Support\Facades\Storage;

class fileManagerHelper
{
    public static function storeFile($request_file, $storage, $id = null)
    {
        try {
            if (!is_null($id))
                $path = $storage . '/' . $id;
            else
                $path = $storage;

            $filename = Storage::disk('public')->put($path, $request_file, 'public');
            return ['filename' => $filename, 'code' => 200, 'message' => 'done'];
        } catch (\Exception $e) {
            return ['filename' => null, 'code' => 500, 'message' => $e->getMessage()];
        }
    }

    public static function storeFileWithID($request_file, $storage, $id)
    {
        try {
            $path = $storage . '/' . $id;
            $filename = Storage::disk('public')->put($path, $request_file, 'public');
            return ['filename' => $filename, 'code' => 200, 'message' => 'done'];
        } catch (\Exception $e) {
            return ['filename' => null, 'code' => 500, 'message' => $e->getMessage()];
        }
    }
}
