<?php

namespace App\Http\Controllers\Admin;

use App\Models\Setting;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Validator;

class SettingController extends Controller
{
    function __construct()
    {
        $this->middleware('permission:setting-list', ['only' => ['index']]);
        $this->middleware('permission:setting-edit', ['only' => ['edit', 'update']]);
    }
    public function index()
    {
        $all_setting = Setting::all();
        return view('admin.setting.index', compact('all_setting'));
    }
    public function edit($id)
    {
        $setting = Setting::find($id);
        return view('admin.setting.edit', compact('setting'));
    }
    public function update(Request $request,$id)
    {

        $setting = Setting::where('name',$request->name)->first();

            $validator = Validator::make($request->all(), [
                'value' => 'required|numeric',
            ]);
            if ($validator->fails()) {
                return redirect("setting")->withErrors($validator);
            }
            if ($setting->update([
                'value' => $request->value,
            ]))
                return redirect("setting")->with('message', 'The setting has been updated');
            else {
                return redirect("setting")->withErrors("something wrong");
            }

    }
}
