<?php

namespace App\Http\Controllers;

use App\Models\User;
use App\Models\Admin;
use App\Models\Order;
use App\Models\Course;
use App\Models\Product;
use Illuminate\Http\Request;
use App\Models\StudentCourse;
use Illuminate\Support\Facades\DB;

class DashboardController extends Controller
{
    public function index()
    {
        $count_user = Admin::count();
        $count_student = User::whereType('student')->count();
        $count_tutor = User::whereType('tutor')->count();
        $count_product = Product::count();
        $count_order = Order::count();

        $courses = Course::get();

        $data = [
            'count_user' => $count_user, 'count_student' => $count_student, 'count_tutor' => $count_tutor, 'count_product' => $count_product, 'count_order' => $count_order
        ];
        return view('admin.dashboard', compact('data', 'courses'));
    }

    public function getCountStudentCourse(Request $request)
    {
        $ID = $request->course_id != '' ? $request->course_id : Course::first()->value('id');

        $student_courses = DB::table('student_courses')->selectRaw('count(id) as students,date_format(created_at,"%M") as months')
            ->whereYear('created_at', date('Y'))->where(
                'course_id',
                // 3
                $ID
            )
            ->groupBy('created_at')
            ->get();
        return response()->json(['data' => $student_courses]);
    }
}
