<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Spatie\Translatable\HasTranslations;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Category extends Model
{
    use HasFactory;


    use HasTranslations;

    public $translatable = ['name', 'slug'];

    protected $fillable = ['name', 'status', 'parent_id', 'slug', 'image'];

    protected $appends = ['tags', 'text'];

    public function Courses()
    {
        return $this->hasMany(Course::class, 'category_id');
    }

    public function getName()
    {
        $val = str_replace(' ', '-', $this->name);
        return str_replace('.', '-', $val);
    }

    public function nodes()
    {
        return $this->hasMany(Category::class, 'parent_id')->with('nodes');
    }

    public function getTagsAttribute()
    {
        return [1];
    }

    public function getTextAttribute()
    {
        return $this->name;
    }

    public function getPathImage()
    {
        if (strpos($this->image, "http") != '')
            return $this->image;
        else
            return url('public/storage/' . $this->image);
    }
}
