<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Spatie\Translatable\HasTranslations;

class Product extends Model
{
    use HasFactory;
    use HasTranslations;

    public $translatable = ['name', 'description', 'slug'];
    protected $fillable = ['name', 'show', 'price', 'description', 'slug', 'image'];


    public function Images()
    {
        return $this->hasMany(ProductImage::class, 'product_id');
    }

    public function getPathImage()
    {
        if (strpos($this->image, "http") != '')
            return $this->image;
        else
            return url('public/storage/' . $this->image);
    }
}
