<?php

namespace Database\Factories;

use App\Models\Course;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\User>
 */
class CategoryFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {
        return [
            'name' => ["en" => fake()->name(), "ar" => fake()->name()],
            'slug' => ["en" => fake()->slug(), "ar" => fake()->slug()],
            'image' => fake()->imageUrl(),
            'status' => 'active',
            'parent_id' => null,
        ];
    }
}
