<?php

namespace Database\Factories;

use App\Models\Category;
use App\Models\Course;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Str;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\User>
 */
class CourseFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition()
    {
        return [
            'name' => ["en" => 'course ' . fake()->randomNumber(), "ar" => 'دورة ' . fake()->randomNumber()],
            'status' => 'open',
            'start_date' => date('Y-m-d'),
            'end_date' =>  date('Y-m-d'),
            'price' => fake()->numberBetween($min = 1000, $max = 9000),
            'show' => 1,
            'image' => fake()->imageUrl(),
            'category_id'  => Category::whereStatus('active')->inRandomOrder()->value('id'),
        ];
    }
}
