<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Permission;

class PermissionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $permissions = [
            'dashboard',

            'role-list',
            'role-create',
            'role-edit',
            'role-delete',

            'course-list',
            'course-create',
            'course-edit',
            'course-delete',

            'category-list',
            'category-create',
            'category-edit',
            'category-delete',

            'user-list',
            'user-create',
            'user-edit',
            'user-delete',

            'setting-list',
            'setting-edit',

            'team-list',
            'team-create',
            'team-edit',
            'team-delete',

            'slider-list',
            'slider-create',
            'slider-edit',
            'slider-delete',

            'guallery-list',
            'guallery-create',
            'guallery-delete',

            'student-list',
            'student-create',
            'student-edit',
            'student-delete',

            'tutor-list',
            'tutor-create',
            'tutor-edit',
            'tutor-delete',

            'product-index',
            'product-create',
            'product-edit',
            'product-delete',
        ];
        $permissions_page = [
            'dashboard',
            'roles', 'roles', 'roles', 'roles',
            'course', 'course', 'course', 'course',
            'category', 'category', 'category', 'category',
            'users', 'users', 'users', 'users',
            'setting', 'setting',
            'teams', 'teams', 'teams', 'teams',
            'sliders', 'sliders', 'sliders', 'sliders',
            'gualleries', 'gualleries', 'gualleries',
            'students', 'students', 'students', 'students',
            'tutor', 'tutor', 'tutor', 'tutor',
            'products', 'products', 'products', 'products',

        ];
        $result = array();
        for ($i = 0; $i < count($permissions); $i++) {
            array_push($result, ['name' => $permissions[$i], 'group_page' => $permissions_page[$i], 'guard_name' => 'admin']);
            // Permission::create(['name' => $permissions[$i],'group_page'=>$permissions_page[$i],'guard_name'=>'sanctum']);
        }
        Permission::insert($result);
    }
}
