<?php

namespace Database\Seeders;

use App\Models\Admin;
// use App\Models\User;
use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class RoleSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $permissions = Permission::all()->pluck('id')->toArray();
        $role = Role::where('name', 'admin')->first();
        if (!$role) {
            $role = Role::create(['name' => 'admin', 'guard_name' => 'admin']);
        }
        $role->syncPermissions($permissions);
        $admin = Admin::whereEmail('admin@admin.com')->first();
        if (!$admin) {
            $admin = Admin::create([
                'name' => 'super admin',
                'email' => 'admin@admin.com',
                'status' => 'active',
                'password' => bcrypt('Password'),
            ]);
        }
        $admin->assignRole($role);
    }
}
