<x-auth-layout>
    <x-slot name="title">{{ __('admin.login') }}</x-slot>
    <x-auth-session-status class="mb-4" :status="session('status')" />
    <form class="form-horizontal" action="{{ route('admin.login') }}" method="post">
        @csrf
        <fieldset class="form-group position-relative has-icon-left">

            <input id="email" type="email" placeholder="{{ __('admin.E-Mail Address') }}"
                class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}"
                required autocomplete="email" autofocus>

            <x-input-error :messages="$errors->get('email')" />

            <div class="form-control-position">
                <i class="ft-mail"></i>
            </div>
        </fieldset>
        <fieldset class="form-group position-relative has-icon-left">
            <input required id="password" type="password" class="form-control @error('password') is-invalid @enderror"
                placeholder="{{ __('admin.Password') }}" name="password" required autocomplete="current-password">
            <x-input-error :messages="$errors->get('password')" />

            <div class="form-control-position">
                <i class="la la-key"></i>
            </div>
        </fieldset>
        <div class="form-group row">
            <div class="col-md-6 col-12 text-center text-sm-left">
                <fieldset>
                    <input class="chk-remember" type="checkbox" name="remember" id="remember" {{ old('remember')
                        ? 'checked' : '' }}>

                    <label for="remember-me"> {{ __('admin.Remember Me') }}</label>
                </fieldset>
            </div>

            <div class="col-md-6 col-12 float-sm-left text-center text-sm-right">
                @if (Route::has('password.request'))
                <a class="card-link text-danger" href="{{ route('admin.password.request') }}">
                    {{ __('admin.Forgot Your Password?') }}
                </a>
                @endif
            </div>

        </div>
        <button type="submit" class="btn btn-outline-warning btn-block"><i class="ft-unlock"></i> {{
            __('admin.login') }}</button>
    </form>
    </div>
    </div>
    </div>
</x-auth-layout>