<x-auth-layout>
    <x-slot name="title">{{ __('admin.Confirm Password') }}</x-slot>
    <x-auth-session-status class="mb-4" :status="session('status')" />
    {{ __('admin.Please confirm your password before continuing.') }}

    <form method="POST" action="{{ route('admin.password.confirm') }}">
        @csrf

        <div class="form-group row">
            <label for="password" class="col-md-4 col-form-label text-md-right">{{ __('admin.Password')
                }}</label>

            <div class="col-md-6">
                <input id="password" type="password" class="form-control @error('password') is-invalid @enderror"
                    name="password" required autocomplete="current-password">

                <x-input-error :messages="$errors->get('password')" />
            </div>
        </div>

        <div class="form-group row mb-0">
            <div class="col-md-8 offset-md-4">
                <button type="submit" class="btn btn-primary">
                    {{ __('admin.Confirm Password') }}
                </button>

                @if (Route::has('password.request'))
                <a class="btn btn-link" href="{{ route('password.request') }}">
                    {{ __('admin.Forgot Your Password?') }}
                </a>
                @endif
            </div>
        </div>
    </form>
</x-auth-layout>
