<x-auth-layout>
    <x-slot name="title">{{ __('admin.register') }}</x-slot>
    <x-auth-session-status class="mb-4" :status="session('status')" />
    <form class="form-horizontal" action="{{ route('admin.register') }}" method="post" novalidate>
        @csrf
        <fieldset class="form-group position-relative has-icon-left">


            <input id="text" type="name" placeholder="{{ __('Name') }}"
                class="form-control @error('name') is-invalid @enderror" name="name" value="{{ old('name') }}" required
                autocomplete="name" autofocus>
            <x-input-error :messages="$errors->get('name')" />

            <div class="form-control-position">
                <i class="ft-user"></i>
            </div>
        </fieldset>
        <fieldset class="form-group position-relative has-icon-left">

            <input id="email" type="email" placeholder="{{ __('admin.E-Mail Address') }}"
                class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}"
                required autocomplete="email" autofocus>

            <x-input-error :messages="$errors->get('email')" />
            <div class="form-control-position">
                <i class="ft-mail"></i>
            </div>
        </fieldset>
        <fieldset class="form-group position-relative has-icon-left">
            <input required id="password" type="password" class="form-control @error('password') is-invalid @enderror"
                placeholder="{{ __('admin.Password') }}" name="password" required autocomplete="current-password">
            <x-input-error :messages="$errors->get('password')" />

            <div class="form-control-position">
                <i class="la la-key"></i>
            </div>
        </fieldset>

        <fieldset class="form-group position-relative has-icon-left">
            <input id="password-confirm" type="password" class="form-control" name="password_confirmation" required
                autocomplete="new-password" placeholder="{{ __('Confirm Password') }}">
            <x-input-error :messages="$errors->get('password')" />

            <div class="form-control-position">
                <i class="la la-key"></i>
            </div>
        </fieldset>

        <button type="submit" class="btn btn-outline-warning btn-block"><i class="ft-unlock"></i> {{ __('Register')
            }}</button>
        </div>

        <div class="card-body">
            <a href="{{url('/admin/login')}}" class="btn btn-outline-danger btn-block"><i class="ft-unlock"></i> {{
                __('Login') }}</a>
        </div>
    </form>


</x-auth-layout>