<x-admin-layout>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/bootstrap-switch.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/switchery.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/plugins/forms/switch.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/core/colors/palette-switch.css')}}">
    <style>
        .field.is-invalid~.invalid-feedback {
            display: block
        }
    </style>
    @endpush
    <x-slot name="title">{{ __('admin.category-edit') }}</x-slot>
    <x-slot name="activePage">category</x-slot>
    <x-card :title="__('admin.category-edit')">
        <x-slot name="create_section">
            <ul class="list-inline mb-0">
                <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
            </ul>
        </x-slot>
        @isset($category)
        <form class="form" enctype="multipart/form-data" method="POST"
            action="{{ route('admin.categories.update',$category->id) }}">
            @csrf
            @method('PATCH')
            <input type="hidden" name="id" value="{{$category->id}}">
            <div class="row">
                <div class="col-md-6">
                    <x-input :title="__('admin.category name en')" value="{{$category->getTranslation('name','en')}}"
                        :name="'name_en'" />
                </div>
                <div class="col-md-6">
                    <x-input :title="__('admin.category name ar')" value="{{$category->getTranslation('name','ar')}}"
                        :name="'name_ar'" />
                </div>

                <div class="col-md-12">
                    <div class="form-group  mb-2">
                        <label for="image"> {{__('admin.image')}}
                            <span class="danger">*</span>
                        </label>
                        <div class="custom-file">
                            <x-input accept="image/*" :title="__('admin.image')" class="custom-file-input" type="file"
                                :name="'image'" />
                            <label class="custom-file-label" for="image">Choose file</label>
                        </div>
                        </fieldset>
                    </div>
                </div>

                <div class="col-md-12">
                    <div class="form-group  mb-2">
                        <label for="status">{{ __('admin.active') }} <span class="danger">*</span></label>
                        <div class="pt-1">
                            <input type="checkbox" id="switchery" class="switchery" name="status" {{ $category->status
                            == "active" ? 'checked' : '' }} value="{{$category->status == " active"
                            ? 'active' : 'disabled' }}" data-size="md" />
                        </div>

                        <x-input-error :messages="$errors->get('status')" />
                    </div>
                </div>



            </div>
            <div class="form-actions clearfix">
                <x-form-btn-action :cancel="route('admin.categories.index')"></x-form-btn-action>
            </div>
        </form>

        <x-slot name="second_card">
            <div class="col-4">
                <div class="card">
                    <div class="card-content">
                        <div class="card-body">
                            <img id="preview" class="w-100"
                                src="{{$category->image ?  $category->getPathImage() : asset('admin/images/placeholder.png')}}"
                                alt="">
                            <div class="text-left">
                                <h4 class="mt-2" id="show-name_ar"></h4>
                            </div>
                            <hr>
                            <div class="text-right">
                                <h4 class="mt-2" id="show-name_en"></h4>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </x-slot>
        @endisset
    </x-card>

    @push('script')
    <script src="{{asset('admin/vendors/js/forms/toggle/bootstrap-switch.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/forms/toggle/bootstrap-checkbox.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/forms/toggle/switchery.min.js')}}" type="text/javascript"></script>
    <!-- END PAGE VENDOR JS-->
    <script src="{{asset('admin/js/scripts/forms/switch.js')}}" type="text/javascript"></script>
    <script>
        $('#show-name_ar').html($('#name_ar').val())
        $('#name_ar').keyup(function (e) {
            e.preventDefault();
            $('#show-name_ar').html($(this).val())
        })

        $('#show-name_en').html($('#name_en').val())
        $('#name_en').keyup(function (e) {
            e.preventDefault();
            $('#show-name_en').html($(this).val())
        })

        $('#image').change(function (e) {
            e.preventDefault();
            var path = URL.createObjectURL(e.target.files[0]);
            $('#preview').attr('src',path);
        });
    </script>
    @endpush

</x-admin-layout>
