<x-admin-layout>
    <x-slot name="title">{{ __('admin.categories') }}</x-slot>
    <x-slot name="activePage">category</x-slot>
    <x-card :title="__('admin.categories')" :type="'table'">
        <x-slot name="create_section">
            @can('category-create')
            <x-btn-create :href="route('admin.categories.create')"></x-btn-create>
            @endcan
        </x-slot>

        <div class="col-md-4 col-sm-12">
            <div class="card">
                <div class="card-body">
                    <div class="form-group">
                        {{-- <button type="button" class="btn btn-sm btn-success" id="btn-check-all">
                            {{ __('Check All')}}
                        </button>
                        <button type="button" class="btn btn-sm btn-warning" id="btn-uncheck-all">
                            {{ __('Uncheck All')}}</button> --}}
                        <button type="button" disabled class="btn text-white btn-success d-none"
                            id="btn-edit">{{__('admin.Edit')}}</button>
                        <button type="button" disabled class="btn btn-danger d-none"
                            id="btn-delete">{{__('admin.Delete')}}</button>
                        <button type="button" disabled class="btn btn-info text-white d-none"
                            id="btn-add">{{__('admin.Add')}}</button>
                    </div>
                    <div id="checkable-tree"></div>
                    <div id="disabled-output"></div>
                </div>
            </div>
        </div>
    </x-card>

    @push('script')
    <script src="{{asset('admin/vendors/js/extensions/bootstrap-treeview.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('/admin/js/scripts/extensions/tree-view.js')}}" type="text/javascript"></script>
    <script>
        console.log(window.api)
        $(document).ready(function() {
            $.ajax({
                type: "get",
                url: "{{route('admin.categories.get_categories')}}",
                dataType: "json",
                success: function (response) {
                    console.log(response.categories)

                    if(response.categories.length > 0){
                        $('#btn-edit').removeClass('d-none');
                        $('#btn-delete').removeClass('d-none');
                        $('#btn-add').removeClass('d-none');
                    }
                    $('#checkable-tree').treeview({
                        color: "#967ADC",
                        showCheckbox: true,
                        data: response.categories,
                        // showTags: true,
                        color: "#777",
                        onhoverColor: "#fafafa",
                        onNodeChecked: function (event, node) {
                            console.log('node',node)
                            console.log('event',event)
                            $('#btn-edit').attr('disabled',false).data('id',node.id)
                            $('#btn-add').attr('disabled',false).data('id',node.id)
                            $('#btn-delete').attr('disabled',false).data('nodes',node.nodes).data('id',node.id)
                            // $('#btn-delete').attr('disabled',false)
                            // $('#disabled-output').prepend('<p>' + node.text + ' was unchecked</p>');
                        },
                    });
                },error:function (err){
                    console.log(err)
                }
            });
            $('#btn-edit').click(function (e) {
                e.preventDefault();
                console.log('id',$(this).data('id'))
                window.location = 'categories/edit/'+$(this).data('id')
            });
            $('#btn-add').click(function (e) {
                e.preventDefault();
                console.log('id',$(this).data('id'))
                window.location = 'categories/create/'+$(this).data('id')
            });



        // $('#btn-delete').click(function (e) {
        //     e.preventDefault();
        //     console.log('id',$(this).data('id'))
        // });

        // $('#btn-edit').on('click', function (e) {
        //     $checkableTree.treeview('edit', {
        //         silent: $('#chk-check-silent').is(':checked')
        //     });
        // });
    //     var btnid = 'btnEdit_node_' yourrecordid;
    // var button = " <div/><button type='button'  id='btnEdit_" + data.id + "'  class='btn btn-primary' onclick='exxecutefunction()'>" +
    //     "<i class='glyphicon glyphicon-edit'></i> Edit" +
    //     "</button>";

    // var node = {};
    // node.text = data.description + button;
        $('#btn-delete').click(function (e) {
            e.preventDefault();
            var cat_id = $(this).data('id')
            console.log($(this).data('id'))
            if($(this).data('nodes').length > 0){
                // alert($(this).data('nodes').length)
                toastr.warning("{{__('admin.there is children')}}", "{{__('admin.warning')}}", { "timeOut": 0, positionClass: 'toast-top-right' });
            }else{
                swal({
                    title: "{{__('admin.are u sure to delete item?')}}",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "لا",
                            value: null,
                            visible: true,
                            className: "btn-danger",
                            closeModal: false,
                        },
                        confirm: {
                            text: "نعم",
                            value: true,
                            visible: true,
                            className: "btn-success",
                            closeModal: false
                        }
                    }
                }).then(isConfirm => {
                    if (isConfirm) {
                            $.ajax({
                                type: "delete",
                                url: "/admin/categories/destroy/"+cat_id,
                                dataType: "json",
                                success: function (response) {
                                    console.log(response)

                                    swal("{{__('admin.Done')}}",response.message,"success").then((r) => {
                                    if (r) {
                                        window.location = window.location
                                    }
                                    });
                                }, error: function (err) {
                                    console.log(err);
                                    if (err) {
                                        swal("Oh noes!", err.responseJSON.message , "error");
                                    } else {
                                        swal.stopLoading();
                                        swal.close();
                                    }
                                }
                            });

                    } else {
                        swal("{{__('admin.canceld delete')}}", "{{__('admin.canceled')}}", "error");
                    }
                });
            }
            return ;
        });

        })
    </script>
    @endpush
</x-admin-layout>
