<x-admin-layout>
    <x-slot name="title">{{ __('admin.categories') }}</x-slot>
    <x-slot name="activePage">category</x-slot>
    <x-card :title="__('admin.categories')" :type="'table'">
        <x-slot name="create_section">
            @can('category-create')
            <x-btn-create :href="route('admin.categories.create')"></x-btn-create>
            @endcan
        </x-slot>

        <div class="table-responsive">
            <table id="categories-list"
                class="table table-white-space table-bordered  display no-wrap icheck table-middle">
                <thead>
                    <tr>
                        <th>{{ __('admin.image') }}</th>
                        <th>{{ __('admin.title') }}</th>
                        <th>{{ __('admin.Actions') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($categories as $category)
                    <tr>
                        <td>
                            <img src="{{ $category->getPathImage() }}" width="200" alt="category">

                        </td>
                        <td>
                            {{ $category->name }}
                        </td>
                        <td>
                            @can('category-edit')
                            <x-btn-edit :href="route('admin.categories.edit', $category->id)"></x-btn-edit>
                            @endcan

                            @can('category-delete')
                            <x-btn-delete :href="route('admin.categories.destroy', $category->id)"></x-btn-delete>
                            @endcan
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </x-card>

    @push('script')
    <script src="{{asset('admin/vendors/js/extensions/bootstrap-treeview.min.js')}}" type="text/javascript"></script>
    <script src="{{ asset('/admin/js/scripts/extensions/tree-view.js')}}" type="text/javascript"></script>
    <script>
        console.log($('.delete'))
    $('.delete').click(function (e) {
                e.preventDefault();
                swal({
                    title: "{{__('admin.are u sure')}}",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "{{__('admin.no')}}",
                            value: null,
                            visible: true,
                            className: "btn-danger",
                            closeModal: false,
                        },
                        confirm: {
                            text: "{{__('admin.yes')}}",
                            value: true,
                            visible: true,
                            className: "btn-success",
                            closeModal: false
                        }
                    }
                }).then(isConfirm => {
                    if (isConfirm) {
                        this.closest('form').submit();
                        } else {
                            swal("{{__('admin.cancel delete')}}", "{{__('admin.cancelled')}}", "error");
                        }

                });
            });
    </script>
    @endpush
</x-admin-layout>