<x-admin-layout>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/bootstrap-switch.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/switchery.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/plugins/forms/switch.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/core/colors/palette-switch.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('admin/vendors/css/forms/selects/select2.min.css')}}">
    <style>
        .field.is-invalid~.invalid-feedback {
            display: block
        }
    </style>
    @endpush
    <x-slot name="title">{{ __('admin.course-create') }}</x-slot>
    <x-slot name="activePage">course</x-slot>
    <x-card :title="__('admin.course-create')">
        <x-slot name="create_section">
            <ul class="list-inline mb-0">
                <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
            </ul>
        </x-slot>
        <form class="form" enctype="multipart/form-data" method="POST" action="{{ route('admin.courses.store') }}">
            @csrf
            <div class="row">
                <div class="col-md-6">
                    <x-input :title="__('admin.course name ar')" value="{{old('name_ar')}}" :name="'name_ar'" />
                </div>

                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <x-input :title="__('admin.course name en')" value="{{old('name_en')}}" :name="'name_en'" />
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <x-input :title="__('admin.start_date')" value="{{old('start_date')}}" :name="'start_date'"
                            :type="'date'" />
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <x-input :title="__('admin.end_date')" value="{{old('end_date')}}" :name="'end_date'"
                            :type="'date'" />
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <label for="show">{{ __('admin.show') }} <span class="danger">*</span></label>
                        <fieldset class="field @error('show') is-invalid @enderror">
                            <div class="float-left">
                                <input type="checkbox" name="show" class="switchBootstrap" id="switchBootstrap18"
                                    data-on-text="{{__('admin.yes')}}" data-off-text="{{__('admin.no')}}"
                                    data-on-color="success" value="1" {{ old('show')==1 ? 'checked' : '' }}
                                    data-off-color="danger" />
                            </div>
                        </fieldset>
                        <x-input-error :messages="$errors->get('status')" />
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <label for="status">{{ __('admin.open') }} <span class="danger">*</span></label>
                        <fieldset class="field @error('status') is-invalid @enderror">
                            <div class="float-left">
                                <input type="checkbox" name="status" class="switchBootstrap" id="switchBootstrap19"
                                    data-on-text="{{__('admin.yes')}}" data-off-text="{{__('admin.no')}}"
                                    data-on-color="success" value="open" {{ old('status')=="open" ? 'checked' : '' }}
                                    data-off-color="danger" />
                            </div>
                        </fieldset>
                        <x-input-error :messages="$errors->get('status')" />
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <label for="category">{{ __('admin.category') }} <span class="danger">*</span></label>
                        <select class="form-control @error('category_id') is-invalid @enderror required"
                            name="category_id">
                            @foreach ($categories as $category)
                            <option value="{{$category->id}}">{{$category->name}}</option>

                            {{--
                            <x-category :category="$category" /> --}}

                            @endforeach
                        </select>
                        <x-input-error :messages="$errors->get('category_id')" />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <x-input :title="__('admin.price')" value="{{old('price')}}" :name="'price'" />
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <label for="tutor">{{ __('admin.tutors') }} <span class="danger">*</span></label>
                        <select class="form-control @error('tutors') is-invalid @enderror select2-placeholder-multiple"
                            multiple="multiple" name="tutors[]">
                            @foreach ($tutors as $tutor)
                            <option value="{{$tutor->id}}">{{$tutor->first_name .' ' .$tutor->last_name }}</option>
                            @endforeach
                        </select>
                        <x-input-error :messages="$errors->get('tutors')" />
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <label for="image"> {{__('admin.image')}}
                            <span class="danger">*</span>
                        </label>
                        <div class="custom-file">

                            <x-input accept="image/*" :title="__('admin.image')" class="custom-file-input" type="file"
                                :name="'image'" />
                            <label class="custom-file-label" for="image">Choose file</label>
                        </div>
                        </fieldset>
                    </div>
                </div>




            </div>
            <div class="form-actions clearfix">
                <x-form-btn-action :cancel="route('admin.courses.index')"></x-form-btn-action>
            </div>
        </form>
        <x-slot name="second_card">
            <div class="col-4">
                <div class="card">
                    <div class="card-content">
                        <div class="card-body">
                            <img id="preview" class="w-100" src="{{asset('admin/images/placeholder.png')}}" alt="">
                            {{-- <div class="text-left">
                                <h4 class="mt-2" id="show-title_ar"></h4>
                                <p id="show-content_ar"></p>
                            </div>
                            <hr>
                            <div class="text-right">
                                <h4 class="mt-2" id="show-title_en"></h4>
                                <p id="show-content_en"></p>
                            </div> --}}
                        </div>
                    </div>
                </div>
            </div>
        </x-slot>
    </x-card>

    @push('script')
    <script src="{{asset('admin/vendors/js/forms/toggle/bootstrap-switch.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/forms/toggle/bootstrap-checkbox.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/forms/toggle/switchery.min.js')}}" type="text/javascript"></script>
    <!-- END PAGE VENDOR JS-->
    <script src="{{asset('admin/js/scripts/forms/switch.js')}}" type="text/javascript"></script>
    <script type="text/javascript" src="{{asset('admin/vendors/js/ui/jquery.sticky.js')}}"></script>
    <script src="{{asset('admin/vendors/js/forms/select/select2.full.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/js/scripts/forms/select/form-select2.js')}}" type="text/javascript"></script>

    <script>
        $(".switchBootstrap").bootstrapSwitch();
        $('.change-type').click(function (e) {
        e.preventDefault();
        if($(this).hasClass('ft-eye')){
            $(this).parents('.form-group').find('input[type="password"]').attr('type','text')
        }else{
            $(this).parents('.form-group').find('input[type="text"]').attr('type','password')
        }
        $(this).toggleClass('ft-eye');
        $(this).toggleClass('ft-eye-off');
    });

    $('#image').change(function (e) {
            e.preventDefault();
            var path = URL.createObjectURL(e.target.files[0]);
            $('#preview').attr('src',path);
        });
    </script>
    @endpush

</x-admin-layout>


{{-- @section('script') --}}
{{-- <script src="{{asset('/admin/vendors/js/forms/validation/jquery.validate.min.js')}}" type="text/javascript">
</script>
<script src="{{asset('/admin/vendors/js/extensions/jquery.steps.min.js')}}" type="text/javascript"></script>
<script src="{{asset('/admin/js/scripts/customizer.js')}}" type="text/javascript"></script>
<script src="{{asset('/admin/js/scripts/forms/wizard-steps.js')}}" type="text/javascript"></script>
<script src="{{ asset('/admin/vendors/js/forms/select/select2.full.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('/admin/js/scripts/forms/select/form-select2.min.js') }}" type="text/javascript"></script> --}}
{{-- @endsection --}}
