<x-admin-layout>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/bootstrap-switch.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/switchery.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/plugins/forms/switch.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/core/colors/palette-switch.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('admin/vendors/css/forms/selects/select2.min.css')}}">
    <style>
        .field.is-invalid~.invalid-feedback {
            display: block
        }
    </style>
    @endpush
    <x-slot name="title">{{ __('admin.course-edit') }}</x-slot>
    <x-slot name="activePage">course</x-slot>
    <x-card :title="__('admin.course-edit')">
        <x-slot name="create_section">
            <ul class="list-inline mb-0">
                <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
            </ul>
        </x-slot>
        @isset($course)
        <form class="form" enctype="multipart/form-data" method="POST"
            action="{{ route('admin.courses.update',$course->id) }}">
            @csrf
            <input type="hidden" name="id" value="{{$course->id}}">
            <div class="row">
                <div class="col-md-6">
                    <x-input :title="__('admin.course name ar')" :value="$course->getTranslation('name','ar')"
                        :name="'name_ar'" />
                </div>

                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <x-input :title="__('admin.course name en')" :value="$course->getTranslation('name','en')"
                            :name="'name_en'" />
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <x-input :title="__('admin.start_date')" :value="$course->start_date" :name="'start_date'" />
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <x-input :title="__('admin.end_date')" :value="$course->end_date" :name="'end_date'" />
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <label for="show">{{ __('admin.show') }} <span class="danger">*</span></label>
                        <fieldset class="field @error('show') is-invalid @enderror">
                            <div class="float-left">
                                <input type="checkbox" name="show" class="switchBootstrap" id="switchBootstrap18"
                                    data-on-text="{{__('admin.yes')}}" data-off-text="{{__('admin.no')}}"
                                    data-on-color="success" value="1" {{ $course->show == 1 ? 'checked' : '' }}
                                data-off-color="danger" />
                            </div>
                        </fieldset>
                        <x-input-error :messages="$errors->get('status')" />
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <label for="status">{{ __('admin.open') }} <span class="danger">*</span></label>
                        <fieldset class="field @error('status') is-invalid @enderror">
                            <div class="float-left">
                                <input type="checkbox" name="status" class="switchBootstrap" id="switchBootstrap19"
                                    data-on-text="{{__('admin.yes')}}" data-off-text="{{__('admin.no')}}"
                                    data-on-color="success" value="open" {{ $course->status == "open" ? 'checked' : ''
                                }}
                                data-off-color="danger" />
                            </div>
                        </fieldset>
                        <x-input-error :messages="$errors->get('status')" />
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <label for="category">{{ __('admin.category') }} <span class="danger">*</span></label>
                        <select class="form-control @error('category_id') is-invalid @enderror required"
                            name="category_id">
                            {{$categories}}
                            @foreach ($categories as $category)
                            <option value="{{$category->id}}" @if ($category->id == $course->id) selected
                                @endif>{{$category->name}}</option>
                            @endforeach
                        </select>
                        <x-input-error :messages="$errors->get('category_id')" />
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <x-input :title="__('admin.price')" :name="'price'" :value="$course->price" />
                    </div>
                </div>

                @isset($tutors)
                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <label for="tutor">{{ __('admin.tutors') }} <span class="danger">*</span></label>
                        <select class="select2-placeholder-multiple form-control @error('tutors') is-invalid @enderror"
                            multiple="multiple" name="tutors[]">
                            @foreach ($tutors as $tutor)
                            <option value="{{$tutor->id}}" @if ($tutor->id == $course->id) selected
                                @endif>
                                {{$tutor->first_name . ' ' . $tutor->last_name }}</option>
                            @endforeach
                        </select>
                        <x-input-error :messages="$errors->get('tutors')" />
                    </div>
                </div>
                @endisset

                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <label for="image"> {{__('admin.image')}}
                            <span class="danger">*</span>
                        </label>
                        <div class="custom-file">

                            <x-input accept="image/*" :title="__('admin.image')" class="custom-file-input" type="file"
                                :name="'image'" />
                            <label class="custom-file-label" for="image">Choose file</label>
                        </div>
                        </fieldset>
                    </div>
                </div>

            </div>
            <div class="form-actions clearfix">
                <x-form-btn-action :cancel="route('admin.courses.index')"></x-form-btn-action>
            </div>
        </form>
        <x-slot name="second_card">
            <div class="col-4">
                <div class="card">
                    <div class="card-content">
                        <div class="card-body">
                            <img id="preview" class="w-100"
                                src="{{$course->image ?  $course->getPathImage() : asset('admin/images/placeholder.png')}}"
                                alt="">
                            {{-- <div class="text-left">
                                <h4 class="mt-2" id="show-title_ar"></h4>
                                <p id="show-content_ar"></p>
                            </div>
                            <hr>
                            <div class="text-right">
                                <h4 class="mt-2" id="show-title_en"></h4>
                                <p id="show-content_en"></p>
                            </div> --}}
                        </div>
                    </div>
                </div>
            </div>
        </x-slot>
        @endisset
    </x-card>

    @push('script')
    <script src="{{asset('admin/vendors/js/forms/toggle/bootstrap-switch.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/forms/toggle/bootstrap-checkbox.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/forms/toggle/switchery.min.js')}}" type="text/javascript"></script>
    <!-- END PAGE VENDOR JS-->
    <script src="{{asset('admin/js/scripts/forms/switch.js')}}" type="text/javascript"></script>
    <script type="text/javascript" src="{{asset('admin/vendors/js/ui/jquery.sticky.js')}}"></script>
    <script src="{{asset('admin/vendors/js/forms/select/select2.full.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/js/scripts/forms/select/form-select2.js')}}" type="text/javascript"></script>

    <script>
        $(".switchBootstrap").bootstrapSwitch();
        $('.change-type').click(function (e) {
        e.preventDefault();
        if($(this).hasClass('ft-eye')){
            $(this).parents('.form-group').find('input[type="password"]').attr('type','text')
        }else{
            $(this).parents('.form-group').find('input[type="text"]').attr('type','password')
        }
        $(this).toggleClass('ft-eye');
        $(this).toggleClass('ft-eye-off');
    });

    $('#image').change(function (e) {
            e.preventDefault();
            var path = URL.createObjectURL(e.target.files[0]);
            $('#preview').attr('src',path);
        });
    </script>
    @endpush

</x-admin-layout>


{{-- @section('script') --}}
{{-- <script src="{{asset('/admin/vendors/js/forms/validation/jquery.validate.min.js')}}" type="text/javascript">
</script>
<script src="{{asset('/admin/vendors/js/extensions/jquery.steps.min.js')}}" type="text/javascript"></script>
<script src="{{asset('/admin/js/scripts/customizer.js')}}" type="text/javascript"></script>
<script src="{{asset('/admin/js/scripts/forms/wizard-steps.js')}}" type="text/javascript"></script>
<script src="{{ asset('/admin/vendors/js/forms/select/select2.full.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('/admin/js/scripts/forms/select/form-select2.min.js') }}" type="text/javascript"></script> --}}
{{-- @endsection --}}
