<x-admin-layout>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/bootstrap-switch.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/switchery.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/plugins/forms/switch.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/core/colors/palette-switch.css')}}">
    @endpush
    <x-slot name="title">{{ __('admin.tutors') }}</x-slot>
    <x-slot name="activePage">course</x-slot>
    <x-card :title="__('admin.tutors_for_this_course') . ' # ' . $course->name" :type="'table'">
        <x-slot name="create_section">

        </x-slot>
        <div class="table-responsive">
            <table id="courses-list"
                class="table table-white-space table-bordered  display no-wrap icheck table-middle">
                <thead>
                    <tr>
                        <th>{{ __('admin.tutor name') }}</th>
                        <th>{{ __('admin.country') }}</th>
                        <th>{{ __('admin.city') }}</th>
                        {{-- <th>{{ __('admin.Actions') }}</th> --}}
                    </tr>
                </thead>
                <tbody>
                    @foreach ($course->tutors as $item)
                    <tr>
                        <td>
                            {{ $item->first_name }} {{ $item->last_name }}
                        </td>
                        <td>{{$item->country}}</td>
                        <td>{{$item->city}}</td>

                        {{-- <td>
                            @can('totur-edit')
                            <x-btn-edit :href="route('admin.toturs.edit', $item->id)"></x-btn-edit>
                            @endcan

                            @can('totur-delete')
                            <x-btn-delete :href="route('admin.toturs.destroy', $item->id)"></x-btn-delete>
                            @endcan
                        </td> --}}
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </x-card>


    @push('script')
    <script>
        $(document).ready(function() {
            $('.delete').click(function (e) {
                e.preventDefault();
                var customer_id = $(this).data('id')
                swal({
                    title: "{{__('admin.are u sure')}}",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "{{__('admin.no')}}",
                            value: null,
                            visible: true,
                            className: "btn-danger",
                            closeModal: false,
                        },
                        confirm: {
                            text: "{{__('admin.yes')}}",
                            value: true,
                            visible: true,
                            className: "btn-success",
                            closeModal: false
                        }
                    }
                }).then(isConfirm => {
                    if (isConfirm) {
                        this.closest('form').submit();
                        } else {
                            swal("{{__('admin.cancel delete')}}", "{{__('admin.cancelled')}}", "error");
                        }

                });
            });
            /****************************************
             *       js of zero configuration        *
             ****************************************/

            $('#courses-list').DataTable({
                "language": {
                    "decimal": ",",
                    "thousands": ".",
                    "paginate": {
                        "next": '<i class="ft-chevrons-left"></i> ',
                        "previous": '<i class="ft-chevrons-right"></i> '
                    }
                },
                // dom: 'Bfrtip',
                // buttons: [
                //     {
                //         extend: 'excel',
                //         className: 'btn btn-primary ',
                //     },
                //     {
                //         extend: 'print',
                //         className: 'btn btn-primary ',
                //     },
                // ],
            });
        })
    </script>
    @endpush
</x-admin-layout>