<x-admin-layout>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{asset('admin/vendors/css/charts/morris.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('admin/vendors/css/charts/chartist.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('admin/vendors/css/charts/chartist-plugin-tooltip.css')}}">
    @endpush
    <x-slot name="title">{{ __('admin.Dashboard') }}</x-slot>
    <x-slot name="activePage">dashboard</x-slot>
    <div class="app-content content">
        <div class="content-wrapper">

            <div class="content-body">
                <section class="row">
                    <div class="col-12">
                    </div>
                    <div class="col-xl-4 col-lg-4 col-12">
                        <x-card-dashboard icon="icon-users" :value="$data['count_user']" class="info"
                            :title="__('admin.count_users')">
                        </x-card-dashboard>
                    </div>
                    <div class="col-xl-4 col-lg-4 col-12">
                        <x-card-dashboard icon="ft-codepen" :value="$data['count_product']" class="success"
                            :title="__('admin.count_products')">
                        </x-card-dashboard>
                    </div>
                    <div class="col-xl-4 col-lg-4 col-12">
                        <x-card-dashboard icon="ft-package" :value="$data['count_order']" class="danger"
                            :title="__('admin.count_orders')">
                        </x-card-dashboard>
                    </div>
                    <div class="col-xl-4 col-lg-6 col-12">
                        <x-card-dashboard icon="icon-user-follow" :value="$data['count_student']" class="warning"
                            :title="__('admin.count_student')"></x-card-dashboard>
                    </div>
                    <div class="col-xl-4 col-lg-6 col-12">
                        <x-card-dashboard icon="icon-user-female" :value="$data['count_tutor']" class="primary"
                            :title="__('admin.count_tutor')"></x-card-dashboard>
                    </div>
                </section>


                <div class=" col-lg-12">
                    <div class="card">
                        <div class="card-content">
                            <div class="card-body sales-growth-chart" id="sales-growth-chart">
                                <div id="monthly-sales" class="height-250"></div>
                            </div>
                        </div>
                        <div class="card-footer">
                            <div class="chart-title align-items-center mb-1 text-center d-flex justify-content-center">
                                <h6 class="mx-2 mb-0">{{__('admin.count_student_in_course')}}</h6>
                                @if (count($courses) > 0)

                                <select name="course_id" id="course_id">
                                    @foreach ($courses as $item)
                                    <option value="{{$item->id}}">{{$item->name}}</option>

                                    @endforeach
                                </select>
                                @endif
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @push('script')
    <script src="{{asset('admin/vendors/js/charts/raphael-min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/charts/morris.min.js')}}" type="text/javascript"></script>
    <script>
        $(window).on("load", function(){

    /********************************************
    *               Monthly Sales               *
    ********************************************/
   Morris.Bar.prototype.fillForSeries = function(i) {
       var color;
       return "0-#fff-#f00:20-#000";
   };
    getCountStudentCourse({})
    $('#course_id').change(function (e) {
        e.preventDefault();
        $('#monthly-sales').remove();
        var box = document.getElementById('sales-growth-chart')
        var div = document.createElement('div')
        div.setAttribute('id','monthly-sales')
        div.setAttribute('class','height-250')
        box.append(div)
        getCountStudentCourse({course_id : $(this).val()})
    });

    function getCountStudentCourse(data){
        $.ajax({
            type: "post",
            url: "{{route('admin.count.student.course')}}",
            data: data,
            dataType: "json",
            success: function (response) {
                if(response.data.length > 0){
                    Morris.Bar({
                        element: 'monthly-sales',
                        // data: [{month: 'Jan', sales: 1835 }, {month: 'Feb', sales: 2356 }, {month: 'Mar', sales: 1459 }, {month: 'Apr', sales: 1289 }, {month: 'May', sales: 1647 }, {month: 'Jun', sales: 2156 }, {month: 'Jul', sales: 1835 }, {month: 'Aug', sales: 2356 }, {month: 'Sep', sales: 1459 }, {month: 'Oct', sales: 1289 }, {month: 'Nov', sales: 1647 }, {month: 'Dec', sales: 2156 }],
                        data:response.data,
                        xkey: 'months',
                        ykeys: ['students'],
                        labels: ['Students'],
                        barGap: 4,
                        barSizeRatio: 0.3,
                        gridTextColor: '#bfbfbf',
                        gridLineColor: '#E4E7ED',
                        numLines: 5,
                        gridtextSize: 14,
                        resize: true,
                        barColors: ['#1E9FF2'],
                        hideHover: 'auto',
                    });
                }else
                toastr.info("لا يوجد ملتحقين لهذه الدورة", "ملاحظة!!", { "timeOut": 0, positionClass: 'toast-top-right' });


        },
        error: function(err){
            console.log(err);
        }
        });
    }
});
    </script>
    @endpush
</x-admin-layout>