<x-admin-layout>
    @push('style')
    <link href="{{asset('admin/css/fileinput.min.css')}}" media="all" rel="stylesheet" type="text/css" />
    <link href="{{asset('admin/fonts/font-awesome/font-awesome.min.css')}}" media="all" rel="stylesheet"
        type="text/css" />
    <style>
        .field.is-invalid~.invalid-feedback {
            display: block
        }
    </style>
    @endpush
    <x-slot name="title">{{ __('admin.guallery-create') }}</x-slot>
    <x-slot name="activePage">guallery</x-slot>
    <x-card :title="__('admin.guallery-create')">
        <x-slot name="create_section">
            <ul class="list-inline mb-0">
                <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
            </ul>
        </x-slot>
        {!! csrf_field() !!}
        <div class="form-group">
            <div class="file-loading">
                <input id="file-1" type="file" name="file" multiple class="file" data-overwrite-initial="false"
                    data-min-file-count="2">
            </div>
        </div>
    </x-card>

    @push('script')
    <script src="{{asset('admin/js/fileinput/fileinput.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/js/fileinput/theme.min.js')}}" type="text/javascript"></script>
    <script>
        $("#file-1").fileinput({
            error: 'An error exception message if applicable',
            theme: 'fa',
            uploadUrl: "{{route('admin.gualleries.store')}}",
            uploadExtraData: function() {
                return {
                    _token: $("input[name='_token']").val(),
                };
            },
            allowedFileExtensions: ['jpg','jpeg', 'png', 'gif'],
            overwriteInitial: false,
            maxFileSize:2000,
            maxFilesNum: 10,
            slugCallback: function (filename) {
                // console.log('here '+filename)
                return filename.replace('(', '_').replace(']', '_');
            }
        }).on('fileuploaded', function(event, previewId, index, fileId) {
            // console.log('File Uploaded', 'ID: ' + fileId + ', Thumb ID: ' + previewId);
            // console.log(previewId)
            // console.log(previewId.jqXHR.status)
            // console.log(previewId.response.message)
            $('#'+index).find('.file-footer-buttons').find('.kv-file-remove').remove();
        }).on('fileuploaderror', function(event, data, msg) {
            // console.log(data);
            if (data.jqXHR.length > 0) {
                if (data.jqXHR.status == 422) {
                    var li = '';
                    for (const property in data.jqXHR.responseJSON.errors) {
                        console.log(`${property}: ${data.jqXHR.responseJSON.errors[property]}`);
                        li += '<li>'+data.jqXHR.responseJSON.errors[property]+'</li>';
                        }
                        $('.file-error-message').find('ul').html('').html(li)
                }else{
                    // console.log(data.jqXHR.responseJSON[0])
                    $('.file-error-message').find('ul li').html('').html(data.jqXHR.responseJSON[0])
                }
            }
        }).on('filebatchuploadcomplete', function(event, preview, config, tags, extraData) {
            console.log('File Batch Uploaded', preview, config, tags, extraData);
        }).on('filepredelete', function(jqXHR) {
            console.log(jqXHR)
                var abort = true;
                if (confirm("{{ __('Are you sure you want to delete this picture') }}")) {
                    abort = false;
                }
                return abort;
            }).on('filedeleted', function(event, key, jqXHR, data) {
                console.log('Key = ' + key);
                console.log(jqXHR);
            });

        /* Delete picture */
    </script>
    @endpush

</x-admin-layout>
