<x-admin-layout>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{asset('admin/vendors/js/gallery/photo-swipe/photoswipe.css')}}">
    <link rel="stylesheet" type="text/css"
        href="{{asset('admin/vendors/js/gallery/photo-swipe/default-skin/default-skin.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('admin/css/pages/gallery.css')}}">
    <style>
        .bootstrap-switch.bootstrap-switch-animate.bootstrap-switch-off .bootstrap-switch-handle-off {
            font-size: 12px
        }

        .form_delete {
            position: absolute;
            left: 15px
        }

        .bootstrap-switch .bootstrap-switch-container .bootstrap-switch-handle-on.bootstrap-switch-success {
            font-size: 17px
        }
    </style>
    @endpush
    <x-slot name="title">{{ __('admin.gualleries') }}</x-slot>
    <x-slot name="activePage">guallery</x-slot>
    <x-card :title="__('admin.gualleries')" :type="'table'">
        <x-slot name="create_section">
            @can('guallery-create')
            <x-btn-create :href="route('admin.gualleries.create')"></x-btn-create>
            @endcan
        </x-slot>

        @if(isset($gualleries) && $gualleries->count() > 0)
        <div class="masonry-grid my-gallery mx-1" itemscope itemtype="http://schema.org/ImageGallery">
            <!-- width of .grid-sizer used for columnWidth -->
            <div class="grid-sizer"></div>
            @foreach ($gualleries as $guallery)
            <div class="grid-item">
                <figure class="card" itemprop="associatedMedia" itemscope itemtype="http://schema.org/ImageObject">
                    <a href="{{asset($guallery->getPathImage())}}" itemprop="contentUrl"
                        data-size="{{rand()}}x{{rand()}}">
                        <img class="img-thumbnail w-100" src="{{asset($guallery->getPathImage())}}" itemprop="thumbnail"
                            alt="Image description" />
                    </a>
                </figure>
            </div>
            @endforeach
        </div>
        @endif

        {{-- @if(isset($gualleries) && $gualleries->count() > 0)
        <div class="row">
            @foreach ($gualleries as $guallery)
            <figure class="col-lg-3 col-md-6 col-12 box mb-3" itemprop="associatedMedia" itemscope
                itemtype="http://schema.org/ImageObject">

                <a href="{{asset($guallery->getPathImage())}}" itemprop="contentUrl" data-size="480x360">
                    <img width="100%" class="img-thumbnail img-fluid" src="{{asset($guallery->getPathImage())}}"
                        itemprop="thumbnail" alt="Image description" />
                </a>

                @can('guallery-delete')
                <x-btn-delete class="form_delete" :href="route('admin.gualleries.destroy', $guallery->id)">
                </x-btn-delete>
                @endcan
            </figure>
            @endforeach
        </div>
        @else
        <div class="col-12 text-center">

            {{__('admin.no data')}}
        </div>
        @endif --}}
    </x-card>


    @push('script')
    <script src="{{asset('admin/vendors/js/gallery/masonry/masonry.pkgd.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/gallery/photo-swipe/photoswipe.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/gallery/photo-swipe/photoswipe-ui-default.min.js')}}" type="text/javascript">
    </script>
    <script src="{{asset('admin/js/scripts/gallery/photo-swipe/photoswipe-script.js')}}" type="text/javascript">
    </script>
    <script>
        $(document).ready(function() {
        $('.delete').click(function (e) {
            e.preventDefault();
            // alert($(this).attr('href'))
            swal({
                    title: "{{__('admin.are u sure')}}",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "{{__('admin.no')}}",
                            value: null,
                            visible: true,
                            className: "btn-warning",
                            closeModal: false,
                        },
                        confirm: {
                            text: "{{__('admin.yes')}}",
                            value: true,
                            visible: true,
                            className: "",
                            closeModal: false
                        }
                    }
                    }).then(isConfirm => {
                        if (isConfirm) {
                            this.closest('form').submit();
                        } else {
                            swal("{{__('admin.Procee Canceled')}}", "Done");
                        }
            });
        });
    });
    </script>
    @endpush
</x-admin-layout>