<x-admin-layout>
    @push('style')
    <style>
        .bootstrap-switch.bootstrap-switch-animate.bootstrap-switch-off .bootstrap-switch-handle-off {
            font-size: 12px
        }

        .bootstrap-switch .bootstrap-switch-container .bootstrap-switch-handle-on.bootstrap-switch-success {
            font-size: 17px
        }
    </style>
    @endpush
    <x-slot name="title">{{ __('admin.orders') }}</x-slot>
    <x-slot name="activePage">order</x-slot>
    <x-card :title="__('admin.orders')" :type="'table'">
        <x-slot name="create_section">
            @can('order-create')
            <x-btn-create :href="route('admin.orders.create')"></x-btn-create>
            @endcan
        </x-slot>
        <div class="table-responsive">
            <table id="orders-list" class="table table-white-space table-bordered  display no-wrap icheck table-middle">
                <thead>
                    <tr>
                        <th>{{ __('admin.address') }}</th>
                        <th>{{ __('admin.total_price') }}</th>
                        <th>{{ __('admin.total_count') }} </th>
                        <th>{{ __('admin.city') }} </th>
                        {{-- <th>{{ __('admin.shipping') }} </th> --}}
                        <th>{{ __('admin.country') }} </th>
                        <th> {{ __('admin.status') }} </th>
                        <th> {{ __('admin.details') }} </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($orders as $order)
                    <tr>
                        <th> {{$order->address}} </th>
                        <th> {{$order->total_price}} </th>
                        <th> {{$order->total_count}} </th>
                        <th> {{$order->city}} </th>
                        {{-- <th> {{$order->shipping}} </th> --}}
                        <th> {{$order->country}} </th>
                        <td>
                            {{ $order->status }}
                        </td>
                        <td>
                            <a class="text-white btn bg-info" href="{{route('admin.orders.details', $order->id)}}"><i
                                    class="ft-eye"></i></a>
                            {{-- <x-btn-create :href="route('admin.orders.details', $order->id)"></x-btn-create> --}}
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </x-card>

    @push('script')
    <script>
        $(document).ready(function() {

            /****************************************
             *       js of zero configuration        *
             ****************************************/

            $('#orders-list').DataTable({
                "language": {
                    "decimal": ",",
                    "thousands": ".",
                    "paginate": {
                        "next": '<i class="ft-chevrons-left"></i> ',
                        "previous": '<i class="ft-chevrons-right"></i> '
                    }
                },
                // dom: 'Bfrtip',
                // buttons: [
                //     {
                //         extend: 'excel',
                //         className: 'btn btn-primary ',
                //     },
                //     {
                //         extend: 'print',
                //         className: 'btn btn-primary ',
                //     },
                // ],
            });
        })
    </script>
    @endpush
</x-admin-layout>