<x-admin-layout>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/bootstrap-switch.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/switchery.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/plugins/forms/switch.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/core/colors/palette-switch.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('admin/vendors/css/forms/selects/select2.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('admin/vendors/css/file-uploaders/dropzone.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{asset('admin/css-rtl/plugins/file-uploaders/dropzone.css')}}">
    <style>
        .field.is-invalid~.invalid-feedback {
            display: block
        }

        .delete {
            line-height: 5
        }

        .dropzone {
            min-height: 240px
        }

        .dropzone .dz-message {
            font-size: 1.4rem
        }

        .dropzone .dz-message:before {
            font-size: 46px
        }
    </style>
    @endpush
    <x-slot name="title">{{ __('admin.product-create') }}</x-slot>
    <x-slot name="activePage">product</x-slot>
    <x-card :title="__('admin.product-create')">
        <x-slot name="create_section">
            <ul class="list-inline mb-0">
                <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
            </ul>
        </x-slot>
        <form class="form" enctype="multipart/form-data">
            @csrf
            <div class="row">
                <div class="col-md-6">
                    <x-input :title="__('admin.product name ar')" value="{{old('name_ar')}}" :name="'name_ar'" />
                </div>

                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <x-input :title="__('admin.product name en')" value="{{old('name_en')}}" :name="'name_en'" />
                    </div>
                </div>

                <div class="col-md-6">
                    <x-input type="textarea" :title="__('admin.desc ar')" :value="old('desc_ar')" :name="'desc_ar'" />
                    {{old('desc_ar')}}
                </div>

                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <x-input type="textarea" :title="__('admin.desc en')" :value="old('desc_ar')"
                            :name="'desc_en'" />
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <x-input :title="__('admin.price')" value="{{old('price')}}" :name="'price'" />
                    </div>
                </div>

                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <label for="show">{{ __('admin.show') }} <span class="danger">*</span></label>
                        <fieldset class="field @error('show') is-invalid @enderror">
                            <div class="float-left">
                                <input type="checkbox" name="show" class="switchBootstrap" id="switchBootstrap18"
                                    data-on-text="{{__('admin.yes')}}" data-off-text="{{__('admin.no')}}"
                                    data-on-color="success" value="1" {{ old('show')==1 ? 'checked' : '' }}
                                    data-off-color="danger" />
                            </div>
                        </fieldset>
                        <x-input-error :messages="$errors->get('status')" />
                    </div>
                </div>

                <div class="col-md-12">

                </div>


            </div>
            <div class="form-actions clearfix">
                <x-form-btn-action :cancel="route('admin.products.index')"></x-form-btn-action>
            </div>
        </form>
        <x-slot name="second_card">
            <div class="col-4">
                <div class="card">
                    <div class="card-content">
                        <div class="card-body">
                            <img id="preview" class="w-100" src="{{asset('admin/images/placeholder.png')}}" alt="">
                            {{-- <form class="form_image"> --}}
                                <input type="hidden" name="product_id" id="product_id" value="">
                                <div class="form-group  my-2">
                                    <label for="image"> {{__('admin.main image')}}
                                        <span class="danger">*</span>
                                    </label>
                                    <div class="custom-file">

                                        <x-input accept="image/*" :title="__('admin.image')" class="custom-file-input"
                                            type="file" :name="'file'" />
                                        <label class="custom-file-label" for="image">Choose file</label>
                                    </div>
                                </div>
                                {{--
                            </form> --}}
                        </div>
                    </div>
                </div>

                <div class="card">
                    <div class="card-content">
                        <div class="card-body">

                            <div class="form-group  my-2">
                                <label for="sub-image"> {{__('admin.other image')}}
                                    <span class="danger">*</span>
                                </label>
                                <div class="text-right mb-1">
                                    <button id="clear-dropzone" class="btn btn-sm  btn-danger"><i
                                            class="ft-trash"></i>{{__('admin.delete_all_images')}}</button>
                                </div>

                                <form method="post" enctype="multipart/form-data"
                                    action="{{route('admin.product_images.store')}}" class="dropzone dropzone-area"
                                    id="dpz-multiple-files">
                                    <input type="hidden" name="product_id" id="product_id_sub" value="">
                                    @csrf
                                    <div class="dz-message">{{__('Drop Files Here To Upload')}}</div>
                                </form>
                            </div>
                            <div id="preview-sub-image">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </x-slot>
    </x-card>

    @push('script')
    <script>
        // global variable
        var msg = "{{__('admin.you cant upload image befor create product')}}"
        var success = "{{__('admin.success')}}"
        var error = "{{__('admin.error')}}"
    </script>
    <script src="{{asset('admin/vendors/js/forms/toggle/bootstrap-switch.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/forms/toggle/bootstrap-checkbox.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/forms/toggle/switchery.min.js')}}" type="text/javascript"></script>
    <!-- END PAGE VENDOR JS-->
    <script src="{{asset('admin/js/scripts/forms/switch.js')}}" type="text/javascript"></script>
    <script type="text/javascript" src="{{asset('admin/vendors/js/ui/jquery.sticky.js')}}"></script>
    <script src="{{asset('admin/vendors/js/forms/select/select2.full.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/js/scripts/forms/select/form-select2.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/extensions/dropzone.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/js/scripts/extensions/dropzone.js')}}" type="text/javascript"></script>

    <script>
        $(".switchBootstrap").bootstrapSwitch();
    $('.change-type').click(function (e) {
        e.preventDefault();
        if($(this).hasClass('ft-eye')){
            $(this).parents('.form-group').find('input[type="password"]').attr('type','text')
        }else{
            $(this).parents('.form-group').find('input[type="text"]').attr('type','password')
        }
        $(this).toggleClass('ft-eye');
        $(this).toggleClass('ft-eye-off');
    });

    $('.form').submit(function (e) {
        e.preventDefault();
        var data = $(this).serialize()
        $.ajax({
            type: "post",
            url: "{{ route('admin.products.store') }}",
            data: data,
            dataType: "json",
            success: function (response) {
                toastr.success(response.message, success, { "timeOut": 0, positionClass: 'toast-top-right' });
                $('#product_id').val(response.data.id)
                $('#product_id_sub').val(response.data.id)
                $('.form-actions').hide()
            },
            error: function(err){
                console.log(err)
                var msg_error = ""
                var errors = err.responseJSON.errors
                if(err.status == 422){
                    Object.keys(errors).forEach(e => {
                        msg_error += err.responseJSON.errors[e].toString() +'</br>'
                    });
                }
                else
                    msg_error = err.responseJSON.message
                toastr.error(msg_error, error, { "timeOut": 0, positionClass: 'toast-top-right' });
            }
        });
    });

    // $('.dz-remove')
    // $('.form_image').on('submit',(function(e) {
    //     e.preventDefault();
    //     var formData = new FormData(this);
    //     // var formData = new FormData();
    //     // formData.append('file',$('#file')[0].files[0])

    //         $.ajax({
    //             type: "post",
    //             url: "{{ route('admin.products.store.image') }}",
    //             data: formData,
    //             // cache:false,
    //             // enctype: 'multipart/form-data',
    //             contentType: false,
    //             processData: false,
    //             dataType: "json",
    //             success: function (response) {
    //                 toastr.success(response.message, success, { "timeOut": 0, positionClass: 'toast-top-right' });
    //             },error: function(err){

    //                 toastr.error(err.responseJSON.message, error, { "timeOut": 0, positionClass: 'toast-top-right' });
    //             }
    //         });
    // }));
    $('#file').change(function (e) {
            e.preventDefault();
            var product_id = $('#product_id').val()
            if(product_id == ''){
                toastr.error(msg, error, { "timeOut": 0, positionClass: 'toast-top-right' });
                return
            }

            var path = URL.createObjectURL(e.target.files[0]);
            $('#preview').attr('src',path);

            // $(".form_image").submit();

            var formData = new FormData();
            formData.append('file',$('#file')[0].files[0])
            formData.append('product_id',product_id)

            $.ajax({
                type: "post",
                url: "{{ route('admin.products.store.image') }}",
                data: formData,
                contentType: false,
                processData: false,
                dataType: "json",
                success: function (response) {
                    toastr.success(response.message, success, { "timeOut": 0, positionClass: 'toast-top-right' });
                },error: function(err){

                    toastr.error(err.responseJSON.message, error, { "timeOut": 0, positionClass: 'toast-top-right' });
                }
            });


        });



    </script>
    @endpush

</x-admin-layout>