<x-admin-layout>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/bootstrap-switch.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/switchery.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/plugins/forms/switch.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/core/colors/palette-switch.css')}}">
    <style>
        .bootstrap-switch.bootstrap-switch-animate.bootstrap-switch-off .bootstrap-switch-handle-off {
            font-size: 12px
        }

        .bootstrap-switch .bootstrap-switch-container .bootstrap-switch-handle-on.bootstrap-switch-success {
            font-size: 17px
        }
    </style>
    @endpush
    <x-slot name="title">{{ __('admin.products') }}</x-slot>
    <x-slot name="activePage">product</x-slot>
    <x-card :title="__('admin.products')" :type="'table'">
        <x-slot name="create_section">
            @can('product-create')
            <x-btn-create :href="route('admin.products.create')"></x-btn-create>
            @endcan
        </x-slot>
        <div class="table-responsive">
            <table id="products-list"
                class="table table-white-space table-bordered  display no-wrap icheck table-middle">
                <thead>
                    <tr>
                        <th>{{ __('admin.product name') }}</th>
                        <th>{{ __('admin.desc') }}</th>
                        <th>{{ __('admin.price') }}</th>
                        <th>{{ __('admin.show') }}</th>
                        <th>{{ __('admin.Actions') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($products as $product)
                    <tr>
                        <td>
                            {{ $product->name }}
                        </td>
                        <td>
                            {{ $product->description }}
                        </td>
                        <td>
                            {{ $product->price }}
                        </td>

                        <td>
                            <input type="checkbox" data-url="{{route('admin.products.status', $product->id)}}"
                                name="show" class="switchBootstrap change_show" data-on-text="{{__('admin.yes')}}"
                                data-off-text="{{__('admin.no')}}" data-on-color="success" value="1" {{ $product->show
                            ==
                            1 ? 'checked' : ''
                            }}
                            data-off-color="danger" />
                        </td>

                        <td>
                            @can('product-update')
                            <x-btn-edit :href="route('admin.products.edit', $product->id)"></x-btn-edit>
                            @endcan

                            @can('product-delete')
                            <x-btn-delete :href="route('admin.products.destroy', $product->id)"></x-btn-delete>
                            @endcan
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </x-card>


    @push('script')
    <script src="{{asset('admin/vendors/js/forms/toggle/bootstrap-switch.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/forms/toggle/bootstrap-checkbox.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/forms/toggle/switchery.min.js')}}" type="text/javascript"></script>
    <!-- END PAGE VENDOR JS-->
    <script src="{{asset('admin/js/scripts/forms/switch.js')}}" type="text/javascript"></script>
    {{-- <script src="{{ asset('/admin/js/scripts/pages/project-task-list.js') }}" type="text/javascript"></script> --}}
    <script>
        $(document).ready(function() {
            $('.delete').click(function (e) {
                e.preventDefault();
                var customer_id = $(this).data('id')
                swal({
                    title: "{{__('admin.are u sure')}}",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "{{__('admin.no')}}",
                            value: null,
                            visible: true,
                            className: "btn-danger",
                            closeModal: false,
                        },
                        confirm: {
                            text: "{{__('admin.yes')}}",
                            value: true,
                            visible: true,
                            className: "btn-success",
                            closeModal: false
                        }
                    }
                }).then(isConfirm => {
                    if (isConfirm) {
                        this.closest('form').submit();
                        } else {
                            swal("{{__('admin.cancel delete')}}", "{{__('admin.cancelled')}}", "error");
                        }

                });
            });
            var self = this
            $(".change_show").bootstrapSwitch({
                onSwitchChange: function (e, state) {
                    console.log('e',e)
                    var url = e.currentTarget.dataset.url
                    swal({
                    title: "{{__('admin.are u sure')}}",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "{{__('admin.no')}}",
                            value: null,
                            visible: true,
                            className: "btn-danger",
                            closeModal: false,
                        },
                        confirm: {
                            text: "{{__('admin.yes')}}",
                            value: true,
                            visible: true,
                            className: "btn-success",
                            closeModal: false
                        }
                    }
                    }).then(isConfirm => {
                        if (isConfirm) {
                            var show = state ? 1 : 0
                            $.ajax({
                                type: "post",
                                url: url,
                                dataType: "json",
                                data :{show},
                                success: function (response) {
                                    console.log(response)
                                    swal("{{__('admin.Done')}}",response.message,"success");
                                },error:function (err){
                                    console.log(err)
                                    if (err) {
                                            swal("Oh noes!", err.responseJSON.message , "error");
                                        } else {
                                            swal.stopLoading();
                                            swal.close();
                                        }
                                }
                            });
                            } else {
                                swal("{{__('admin.cancel change')}}", "{{__('admin.change it')}}", "error");
                            }

                    });
                }.bind(this)
            });
            $(".change_status").bootstrapSwitch({
                onSwitchChange: function (e, state) {
                    console.log('e',e)
                    var url = e.currentTarget.dataset.url
                    swal({
                    title: "{{__('admin.are u sure')}}",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "{{__('admin.no')}}",
                            value: null,
                            visible: true,
                            className: "btn-danger",
                            closeModal: false,
                        },
                        confirm: {
                            text: "{{__('admin.yes')}}",
                            value: true,
                            visible: true,
                            className: "btn-success",
                            closeModal: false
                        }
                    }
                    }).then(isConfirm => {
                        if (isConfirm) {
                            var status = state ? 'open' : 'close'
                            $.ajax({
                                type: "post",
                                url: url,
                                dataType: "json",
                                data :{status},
                                success: function (response) {
                                    console.log(response)
                                    swal("{{__('admin.Done')}}",response.message,"success");
                                },error:function (err){
                                    console.log(err)
                                    if (err) {
                                            swal("Oh noes!", err.responseJSON.message , "error");
                                        } else {
                                            swal.stopLoading();
                                            swal.close();
                                        }
                                }
                            });
                            } else {
                                swal("{{__('admin.cancel change')}}", "{{__('admin.change it')}}", "error");
                            }

                    });
                }.bind(this)
            });

            // $('.tutor').click(function (e) {
            //     e.preventDefault();
            //     $('#tutor_modal').modal('open')
            //     $('#content').html(
            //         `<table id="products-list"
            //             class="table table-white-space table-bordered  display no-wrap icheck table-middle">
            //             <thead>
            //                 <tr>
            //                     <th>{{ __('admin.tutor name') }}</th>
            //                 </tr>
            //             </thead>
            //             <tbody>
            //                 <tr>
            //                     <td></td>
            //                 </tr>
            //             </tbody>
            //         </table>`
            //     )
            // });
            /****************************************
             *       js of zero configuration        *
             ****************************************/

            $('#products-list').DataTable({
                "language": {
                    "decimal": ",",
                    "thousands": ".",
                    "paginate": {
                        "next": '<i class="ft-chevrons-left"></i> ',
                        "previous": '<i class="ft-chevrons-right"></i> '
                    }
                },
                // dom: 'Bfrtip',
                // buttons: [
                //     {
                //         extend: 'excel',
                //         className: 'btn btn-primary ',
                //     },
                //     {
                //         extend: 'print',
                //         className: 'btn btn-primary ',
                //     },
                // ],
            });
        })
    </script>
    @endpush
</x-admin-layout>