<x-admin-layout>
    <x-slot name="title">{{ __('admin.roles') }}</x-slot>
    <x-slot name="activePage">role</x-slot>
    <x-card :title="__('admin.Add role')" :type="'table'">
        <x-slot name="create_section">
            <ul class="list-inline mb-0">
                <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
            </ul>
        </x-slot>
        <form class="form" method="POST" action="{{ route('admin.roles.store') }}">
            @csrf
            <div class="row ">
                <div class="col-md-12">
                    <div class="form-body">
                        <div class="row">
                            <div class="form-group col-3 mb-2">
                                <label for="name">{{ __('admin.role Name') }}</label>
                                <input type="text" id="name" class="form-control " name="name">
                            </div>
                            <div class="form-group col-12 mb-2">
                                <label for="name">{{ __('admin.permissions') }}</label>
                                <div class="row">

                                    <?php $group = array();
                            for($i=0; $i < count($permission);$i++ ){
                                if (!in_array($permission[$i]['group_page'],$group)) {
                                    array_push($group,$permission[$i]['group_page']) ?>
                                    <div class="perClass col-md-3">
                                        <div class="shadow-sm rounded-sm p-2">
                                            <div class="row">
                                                <div class="col-10">
                                                    <span
                                                        class="h2Class">{{__('permission.'.$permission[$i]['group_page'])}}</span>
                                                </div>
                                                <div class="col-2 text-right">
                                                    <div class="form-check">
                                                        <input
                                                            class="{{$permission[$i]['group_page']}} form-check-input checkClass checkClassAll "
                                                            type="checkbox" value=""
                                                            id="chech_{{$permission[$i]['id']}}">

                                                    </div>
                                                </div>
                                            </div>
                                            <hr>
                                            <div class="row">
                                                <?php for($j=0; $j < count($permission);$j++ ){ ?>
                                                @if ($permission[$i]['group_page'] ==
                                                $permission[$j]['group_page'])

                                                <div class="col-10">
                                                    <span
                                                        class="h2Class">{{__('permission.'.$permission[$j]['name'])}}</span>
                                                </div>
                                                <div class="col-2 text-right">
                                                    <div class="form-check">
                                                        <input
                                                            class="{{$permission[$j]['group_page']}} form-check-input checkClass "
                                                            type="checkbox" value="{{$permission[$j]['name']}}"
                                                            id="{{$permission[$j]['name']}}" name="permission[]">
                                                    </div>
                                                </div>
                                                @endif
                                                <?php } ?>
                                            </div>
                                        </div>

                                    </div>
                                    <?php }} ?>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-actions clearfix">
                        <x-form-btn-action :cancel="route('admin.roles.index')"></x-form-btn-action>
                    </div>
                </div>
            </div>

        </form>
    </x-card>
    @push('script')
    <script src="{{ asset('/admin/views_js/role.js') }}" type="text/javascript"></script>
    @endpush
</x-admin-layout>
