<x-admin-layout>
    <x-slot name="title">{{ __('admin.roles') }}</x-slot>
    <x-slot name="activePage">role</x-slot>
    <x-card :title="__('admin.roles')" :type="'table'">
        <x-slot name="create_section">
            @can('role-create')
            <x-btn-create :href="route('admin.roles.create')"></x-btn-create>
            @endcan
        </x-slot>
        <div class="table-responsive">
            <table id="roles-list" class="table table-white-space table-bordered  display no-wrap icheck table-middle">
                <thead>
                    <tr>
                        <th> {{ __('admin.role Name') }} </th>
                        <th>{{ __('admin.Actions') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($roles as $role)
                    <tr>
                        <td>
                            {{ $role->name }}
                        </td>

                        <td>
                            {{-- @if( $role->name != "admin") --}}

                            @can('role-edit')
                            <x-btn-edit :href="route('admin.roles.edit', $role->id)"></x-btn-edit>
                            @endcan
                            @can('role-delete')
                            <x-btn-delete :href="route('admin.roles.destroy', $role->id)"></x-btn-delete>
                            @endcan
                            {{-- @endif --}}
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </x-card>
    @push('script')
    {{-- <script src="{{ asset('/admin/js/scripts/pages/project-task-list.js') }}" type="text/javascript"></script> --}}
    <script>
        $(document).ready(function() {
            $('.delete').click(function (e) {
                e.preventDefault();
                var customer_id = $(this).data('id')
                swal({
                    title: "{{__('admin.are u sure')}}",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "{{__('admin.no')}}",
                            value: null,
                            visible: true,
                            className: "btn-danger",
                            closeModal: false,
                        },
                        confirm: {
                            text: "{{__('admin.yes')}}",
                            value: true,
                            visible: true,
                            className: "btn-success",
                            closeModal: false
                        }
                    }
                }).then(isConfirm => {
                    if (isConfirm) {
                        this.closest('form').submit();
                        } else {
                            swal("{{__('admin.cancel delete')}}", "{{__('admin.cancelled')}}", "error");

                        }

                });
            });

                $('#roles-list').DataTable({
                    "language": {
                        "decimal": ",",
                        "thousands": ".",
                        "paginate": {
                            "next": '<i class="ft-chevrons-left"></i> ',
                            "previous": '<i class="ft-chevrons-right"></i> '
                        }
                    },
                });
            })
    </script>
    @endpush
</x-admin-layout>
