<x-admin-layout>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/editors/summernote.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/editors/codemirror.css')}}">
    <style>
        .field.is-invalid~.invalid-feedback {
            display: block
        }
    </style>
    @endpush
    <x-slot name="title">{{ __('admin.slider-create') }}</x-slot>
    <x-slot name="activePage">slider</x-slot>
    <x-card :title="__('admin.slider-create')">
        <x-slot name="create_section">
            <ul class="list-inline mb-0">
                <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
            </ul>
        </x-slot>
        <form class="form" enctype="multipart/form-data" method="POST" action="{{ route('admin.sliders.store') }}">
            @csrf
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group  mb-2">
                        <label for="image"> {{__('admin.image')}}
                            <span class="danger">*</span>
                        </label>
                        <div class="custom-file">

                            <x-input accept="image/*" :title="__('admin.image')" class="custom-file-input" type="file"
                                :name="'image'" />
                            <label class="custom-file-label" for="image">Choose file</label>
                        </div>
                        </fieldset>
                    </div>
                </div>
            </div>
            <div class="category_parent ">
                <span class="category_title">{{__('admin.arabic')}}</span>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group  mb-2">
                            <x-input :title="__('admin.title')" value="{{old('title_ar')}}" :name="'title_ar'" />
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group  mb-2">
                            <label for="content">{{ __('admin.content') }}</label>
                            <textarea type="text" id="content_ar" class="form-control summernote-code"
                                name="content_ar">
                                    {{old('content_ar')}}
                                </textarea>
                        </div>
                    </div>
                </div>
            </div>

            <div class="category_parent mt-2">
                <span class="category_title">{{__('admin.english')}}</span>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group  mb-2">
                            <x-input :title="__('admin.title')" value="{{old('title_en')}}" :name="'title_en'" />
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group  mb-2">
                            <label for="content">{{ __('admin.content') }}</label>
                            <textarea type="text" id="content_en" class="form-control summernote-code"
                                name="content_en">
                                    {{old('content_en')}}
                                </textarea>
                        </div>
                    </div>
                </div>
            </div>

            <div class="form-actions clearfix">
                <x-form-btn-action :cancel="route('admin.sliders.index')"></x-form-btn-action>
            </div>
        </form>

        <x-slot name="second_card">
            <div class="col-4">
                <div class="card">
                    <div class="card-content">
                        <div class="card-body">
                            <img id="preview" class="w-100" src="{{asset('admin/images/placeholder.png')}}" alt="">
                            <div class="text-left">
                                <h4 class="mt-2" id="show-title_ar"></h4>
                                <p id="show-content_ar"></p>
                            </div>
                            <hr>
                            <div class="text-right">
                                <h4 class="mt-2" id="show-title_en"></h4>
                                <p id="show-content_en"></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </x-slot>
    </x-card>

    @push('script')
    <script src="{{ asset('admin/vendors/js/editors/summernote/summernote.js')}}" type="text/javascript"></script>
    {{-- <script src="{{ asset('admin/js/scripts/editors/editor-summernote.js')}}" type="text/javascript"></script> --}}
    <script>
        $('#show-title_ar').html($('#title_ar').val())
        $('#show-content_ar').html($('#content_ar').val())
        $('#title_ar').keyup(function (e) {
            e.preventDefault();
            $('#show-title_ar').html($(this).val())
        })

        $('#show-title_en').html($('#title_en').val())
        $('#show-content_en').html($('#content_en').val())
        $('#title_en').keyup(function (e) {
            e.preventDefault();
            $('#show-title_en').html($(this).val())
        })


        $('#content_ar').summernote({
            height: 200,   //set editable area's height
            codemirror: { // codemirror options
                theme: 'monokai'
            },
            callbacks: {
                onKeyup: function(e) {
                    console.log(e)
                    $('#show-content_ar').html(e.target.innerHTML)
                }
            }
        });
        $('#content_en').summernote({
            height: 200,   //set editable area's height
            codemirror: { // codemirror options
                theme: 'monokai'
            },
            callbacks: {
                onKeyup: function(e) {
                    console.log(e)
                    $('#show-content_en').html(e.target.innerHTML)
                }
            }
        });

        $('#image').change(function (e) {
            e.preventDefault();
            var path = URL.createObjectURL(e.target.files[0]);
            $('#preview').attr('src',path);
        });

    </script>
    @endpush

</x-admin-layout>
