<x-admin-layout>
    @push('style')
    <style>
        .form-group.is-invalid~.invalid-feedback {
            display: block
        }
    </style>
    @endpush
    <x-slot name="title">{{ __('admin.student-create') }}</x-slot>
    <x-slot name="activePage">student</x-slot>
    <x-card :title="__('admin.student-create')">
        <x-slot name="create_section">
            <ul class="list-inline mb-0">
                <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
            </ul>
        </x-slot>
        <form class="form" method="POST" action="{{ route('admin.students.store') }}">
            @csrf
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <x-input :title="__('admin.first_name')" value="{{old('first_name')}}" :name="'first_name'" />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <x-input :title="__('admin.last_name')" value="{{old('last_name')}}" :name="'last_name'" />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <x-input :title="__('admin.country')" value="{{old('country')}}" :name="'country'" />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <x-input :title="__('admin.city')" value="{{old('city')}}" :name="'city'" />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <x-input :title="__('admin.address')" value="{{old('address')}}" :name="'address'" />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <x-input :title="__('admin.phone')" value="{{old('phone')}}" :name="'phone'" />
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="form-group mb-2">
                        <x-input :title="__('admin.email')" value="{{old('email')}}" :name="'email'" />
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <label for="password">{{ __('admin.Password') }} <span class="danger">*</span></label>
                        <input type="password" id="password"
                            class="form-control @error('password') is-invalid @enderror required" name="password">
                        <x-input-error :messages="$errors->get('password')" />
                        <div class="form-control-position inside-field">
                            <i class="ft-eye-off change-type"></i>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <label for="confirm-password">{{ __('admin.Confirm Password')
                            }} <span class="danger">*</span></label>
                        <input type="password" id="confirm-password"
                            class="form-control @error('confirm-password') is-invalid @enderror required"
                            name="confirm-password">
                        <x-input-error :messages="$errors->get('confirm-password')" />
                        <div class="form-control-position inside-field">
                            <i class="ft-eye-off change-type"></i>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-actions clearfix">
                <x-form-btn-action :cancel="route('admin.students.index')"></x-form-btn-action>
            </div>
        </form>
    </x-card>

    @push('script')
    <script>
        $('.change-type').click(function (e) {
        e.preventDefault();
        if($(this).hasClass('ft-eye-off')){
            $(this).parents('.form-group').find('input[type="password"]').attr('type','text')
        }else{
            $(this).parents('.form-group').find('input[type="text"]').attr('type','password')
        }
        $(this).toggleClass('ft-eye');
        $(this).toggleClass('ft-eye-off');
    });
    </script>
    @endpush

</x-admin-layout>


{{-- @section('script') --}}
{{-- <script src="{{asset('/admin/vendors/js/forms/validation/jquery.validate.min.js')}}" type="text/javascript">
</script>
<script src="{{asset('/admin/vendors/js/extensions/jquery.steps.min.js')}}" type="text/javascript"></script>
<script src="{{asset('/admin/js/scripts/customizer.js')}}" type="text/javascript"></script>
<script src="{{asset('/admin/js/scripts/forms/wizard-steps.js')}}" type="text/javascript"></script>
<script src="{{ asset('/admin/vendors/js/forms/select/select2.full.min.js') }}" type="text/javascript"></script>
<script src="{{ asset('/admin/js/scripts/forms/select/form-select2.min.js') }}" type="text/javascript"></script> --}}
{{-- @endsection --}}