<x-admin-layout>
    <x-slot name="title">{{ __('admin.student-edit') }}</x-slot>
    <x-slot name="activePage">student</x-slot>
    <x-card :title="__('admin.student-edit').' / '. $student->first_name . ' ' .$student->last_name ">
        <x-slot name="create_section">
            <ul class="list-inline mb-0">
                <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
            </ul>
        </x-slot>

        <form class="form" method="POST" action="{{ route('admin.students.update',$student->id) }}">
            @csrf
            @method('PATCH')
            <input type="hidden" name="id" value="{{$student->id}}">
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <x-input :title="__('admin.first_name')" value="{{$student->first_name}}"
                            :name="'first_name'" />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <x-input :title="__('admin.last_name')" value="{{$student->last_name}}" :name="'last_name'" />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <x-input :title="__('admin.country')" value="{{$student->country}}" :name="'country'" />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <x-input :title="__('admin.city')" value="{{$student->city}}" :name="'city'" />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <x-input :title="__('admin.address')" value="{{$student->address}}" :name="'address'" />
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <x-input :title="__('admin.phone')" value="{{$student->phone}}" :name="'phone'" />
                    </div>
                </div>

            </div>
            <div class="form-actions clearfix">
                <x-form-btn-action :cancel="route('admin.students.index')"></x-form-btn-action>
            </div>
        </form>
    </x-card>
    @push('style')
    <style>
        .form-group.is-invalid~.invalid-feedback {
            display: block
        }
    </style>
    @endpush
</x-admin-layout>
