<x-admin-layout>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/bootstrap-switch.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/switchery.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/plugins/forms/switch.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/core/colors/palette-switch.css')}}">
    <style>
        .bootstrap-switch.bootstrap-switch-animate.bootstrap-switch-off .bootstrap-switch-handle-off {
            font-size: 12px
        }

        .bootstrap-switch .bootstrap-switch-container .bootstrap-switch-handle-on.bootstrap-switch-success {
            font-size: 17px
        }
    </style>
    @endpush
    <x-slot name="title">{{ __('admin.students') }}</x-slot>
    <x-slot name="activePage">student</x-slot>
    <x-card :title="__('admin.students')" :type="'table'">
        <x-slot name="create_section">
            @can('student-create')
            <x-btn-create :href="route('admin.students.create')"></x-btn-create>
            @endcan
        </x-slot>
        <div class="table-responsive">
            <table id="students-list"
                class="table table-white-space table-bordered  display no-wrap icheck table-middle">
                <thead>
                    <tr>
                        <th>{{ __('admin.first_name') }}</th>
                        <th>{{ __('admin.last_name') }}</th>
                        <th>{{ __('admin.country') }} </th>
                        <th>{{ __('admin.city') }} </th>
                        <th>{{ __('admin.address') }} </th>
                        <th>{{ __('admin.phone') }} </th>
                        <th> {{ __('admin.email') }} </th>
                        <th> {{ __('admin.way register') }} </th>
                        <th>{{ __('admin.status') }}</th>
                        <th>{{ __('admin.Actions') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($students as $student)
                    <tr>
                        <th> {{$student->first_name}} </th>
                        <th> {{$student->last_name}} </th>
                        <th> {{$student->country}} </th>
                        <th> {{$student->city}} </th>
                        <th> {{$student->address}} </th>
                        <th> {{$student->phone}} </th>
                        <td>
                            {{ $student->email }}
                        </td>
                        <td>{{$student->getByAdmin()}}</td>
                        <td>
                            <input type="checkbox" id="switchery" class="switchery change_status_t" name="status" {{
                                $student->status == "active" ? 'checked' : ''}} value="{{$student->status=='active' ?
                            'active' : 'disabled'}}" data-size="sm"
                            data-url="{{route('admin.students.status', $student->id)}}" />
                        </td>
                        <td>
                            @can('student-edit')
                            <x-btn-edit :href="route('admin.students.edit', $student->id)"></x-btn-edit>
                            @endcan

                            @can('student-delete')
                            <x-btn-delete :href="route('admin.students.destroy', $student->id)"></x-btn-delete>
                            @endcan
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </x-card>

    @push('script')
    <script src="{{asset('admin/vendors/js/forms/toggle/bootstrap-switch.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/forms/toggle/bootstrap-checkbox.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/forms/toggle/switchery.min.js')}}" type="text/javascript"></script>
    <!-- END PAGE VENDOR JS-->
    <script src="{{asset('admin/js/scripts/forms/switch.js')}}" type="text/javascript"></script>
    <script>
        $(document).ready(function() {
            $('.delete').click(function (e) {
                e.preventDefault();
                var customer_id = $(this).data('id')
                swal({
                    title: "{{__('admin.are u sure')}}",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "{{__('admin.no')}}",
                            value: null,
                            visible: true,
                            className: "btn-danger",
                            closeModal: false,
                        },
                        confirm: {
                            text: "{{__('admin.yes')}}",
                            value: true,
                            visible: true,
                            className: "btn-success",
                            closeModal: false
                        }
                    }
                }).then(isConfirm => {
                    if (isConfirm) {
                        this.closest('form').submit();
                        } else {
                            swal("{{__('admin.cancel delete')}}", "{{__('admin.cancelled')}}", "error");
                        }

                });
            });

            $(".change_status_t").change(function (e) {
                e.preventDefault();
                var value = ($(this).is(":checked")) ? 'active' : 'disabled'
                var url = e.currentTarget.dataset.url
                swal({
                title: "{{__('admin.are u sure')}}",
                icon: "warning",
                showCancelButton: true,
                buttons: {
                    cancel: {
                        text: "{{__('admin.no')}}",
                        value: null,
                        visible: true,
                        className: "btn-danger",
                        closeModal: false,
                    },
                    confirm: {
                        text: "{{__('admin.yes')}}",
                        value: true,
                        visible: true,
                        className: "btn-success",
                        closeModal: false
                    }
                }
                }).then(isConfirm => {
                    if (isConfirm) {
                        $.ajax({
                            type: "post",
                            url: url,
                            dataType: "json",
                            data :{value},
                            success: function (response) {
                                console.log(response)
                                swal("{{__('admin.Done')}}",response.message,"success");
                            },error:function (err){
                                console.log(err)
                                if (err) {
                                        swal("Oh noes!", err.responseJSON.message , "error");
                                    } else {
                                        swal.stopLoading();
                                        swal.close();
                                    }
                            }
                        });
                        } else {
                            swal("{{__('admin.cancel change')}}", "{{__('admin.change it')}}", "error");
                        }
                });
            });

            /****************************************
             *       js of zero configuration        *
             ****************************************/

            $('#students-list').DataTable({
                "language": {
                    "decimal": ",",
                    "thousands": ".",
                    "paginate": {
                        "next": '<i class="ft-chevrons-left"></i> ',
                        "previous": '<i class="ft-chevrons-right"></i> '
                    }
                },
                // dom: 'Bfrtip',
                // buttons: [
                //     {
                //         extend: 'excel',
                //         className: 'btn btn-primary ',
                //     },
                //     {
                //         extend: 'print',
                //         className: 'btn btn-primary ',
                //     },
                // ],
            });
        })
    </script>
    @endpush
</x-admin-layout>