<x-admin-layout>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/editors/summernote.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/editors/codemirror.css')}}">
    <style>
        .field.is-invalid~.invalid-feedback {
            display: block
        }
    </style>
    @endpush
    <x-slot name="title">{{ __('admin.team-create') }}</x-slot>
    <x-slot name="activePage">team</x-slot>
    <x-card :title="__('admin.team-create')">
        <x-slot name="create_section">
            <ul class="list-inline mb-0">
                <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
            </ul>
        </x-slot>
        <form class="form" enctype="multipart/form-data" method="POST" action="{{ route('admin.teams.store') }}">
            @csrf
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <label for="image"> {{__('admin.image')}}
                            <span class="danger">*</span>
                        </label>
                        <div class="custom-file">

                            <x-input accept="image/*" :title="__('admin.image')" class="custom-file-input" type="file"
                                :name="'image'" />
                            <label class="custom-file-label" for="image">Choose file</label>
                        </div>
                        </fieldset>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <x-input :title="__('admin.name')" value="{{old('name')}}" :name="'name'" />
                    </div>
                </div>
            </div>
            <div class="category_parent ">
                <span class="category_title">{{__('admin.arabic')}}</span>
                <div class="row">
                    {{-- <div class="col-md-12">
                        <div class="form-group  mb-2">
                            <x-input :title="__('admin.name')" value="{{old('name_ar')}}" :name="'name_ar'" />
                        </div>
                    </div> --}}
                    <div class="col-md-12">
                        <div class="form-group  mb-2">
                            <label for="desc">{{ __('admin.desc') }}</label>
                            <textarea type="text" id="desc_ar" class="form-control summernote-code" name="desc_ar">
                                    {{old('desc_ar')}}
                                </textarea>
                        </div>
                    </div>
                </div>
            </div>

            <div class="category_parent mt-2">
                <span class="category_title">{{__('admin.english')}}</span>
                <div class="row">
                    {{-- <div class="col-md-12">
                        <div class="form-group  mb-2">
                            <x-input :title="__('admin.name')" value="{{old('name_en')}}" :name="'name_en'" />
                        </div>
                    </div> --}}
                    <div class="col-md-12">
                        <div class="form-group  mb-2">
                            <label for="desc">{{ __('admin.desc') }}</label>
                            <textarea type="text" id="desc_en" class="form-control summernote-code" name="desc_en">
                                    {{old('desc_en')}}
                                </textarea>
                        </div>
                    </div>
                </div>
            </div>

            <div class="form-actions clearfix">
                <x-form-btn-action :cancel="route('admin.teams.index')"></x-form-btn-action>
            </div>
        </form>

        <x-slot name="second_card">
            <div class="col-4">
                <div class="card">
                    <div class="card-content">
                        <div class="card-body">
                            <div class="image mx-auto">
                                <img height="200" id="preview" class="w-100 image-circle"
                                    src="{{asset('admin/images/placeholder.png')}}" alt="">
                            </div>
                            <div class="text-center">
                                <h4 class="mt-2" id="show-name"></h4>
                                <p id="show-desc_ar"></p>
                            </div>
                            <hr>
                            <div class="text-center">
                                {{-- <h4 class="mt-2" id="show-name_en"></h4> --}}
                                <p id="show-desc_en"></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </x-slot>
    </x-card>

    @push('script')
    <script src="{{ asset('admin/vendors/js/editors/summernote/summernote.js')}}" type="text/javascript"></script>
    {{-- <script src="{{ asset('admin/js/scripts/editors/editor-summernote.js')}}" type="text/javascript"></script> --}}
    <script>
        $('#show-name').html($('#name').val())
        $('#show-desc_ar').html($('#desc_ar').val())
        $('#name').keyup(function (e) {
            e.preventDefault();
            $('#show-name').html($(this).val())
        })

        $('#show-name_en').html($('#name_en').val())
        $('#show-desc_en').html($('#desc_en').val())
        $('#name_en').keyup(function (e) {
            e.preventDefault();
            $('#show-name_en').html($(this).val())
        })


        $('#desc_ar').summernote({
            height: 200,   //set editable area's height
            codemirror: { // codemirror options
                theme: 'monokai'
            },
            callbacks: {
                onKeyup: function(e) {
                    console.log(e)
                    $('#show-desc_ar').html(e.target.innerHTML)
                }
            }
        });
        $('#desc_en').summernote({
            height: 200,   //set editable area's height
            codemirror: { // codemirror options
                theme: 'monokai'
            },
            callbacks: {
                onKeyup: function(e) {
                    console.log(e)
                    $('#show-desc_en').html(e.target.innerHTML)
                }
            }
        });

        $('#image').change(function (e) {
            e.preventDefault();
            var path = URL.createObjectURL(e.target.files[0]);
            $('#preview').attr('src',path);
        });

    </script>
    @endpush

</x-admin-layout>
