<x-admin-layout>
    @push('style')
    <style>
        /* .table-white-space th.content, */
        .table-white-space td.content-td {
            white-space: break-spaces;
            text-align: center
        }
    </style>
    @endpush
    <x-slot name="title">{{ __('admin.teams') }}</x-slot>
    <x-slot name="activePage">team</x-slot>
    <x-card :title="__('admin.teams')" :type="'table'">
        <x-slot name="create_section">
            @can('team-create')
            <x-btn-create :href="route('admin.teams.create')"></x-btn-create>
            @endcan
        </x-slot>
        <div class="table-responsive">
            <table id="teams-list" class="table table-white-space table-bordered  display no-wrap icheck table-middle">
                <thead>
                    <tr>
                        <th>{{ __('admin.image') }}</th>
                        <th>{{ __('admin.name') }}</th>
                        <th>{{ __('admin.desc') }}</th>
                        <th>{{ __('admin.Actions') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($teams as $team)
                    <tr>
                        <td>
                            <img src="{{ $team->getPathImage() }}" width="200" alt="team">
                        </td>
                        <td>
                            {{ $team->title }}
                        </td>
                        <td class="content-td">
                            {!! $team->descreption !!}
                        </td>
                        <td>
                            @can('team-edit')
                            <x-btn-edit :href="route('admin.teams.edit', $team->id)"></x-btn-edit>
                            @endcan

                            @can('team-delete')
                            <x-btn-delete :href="route('admin.teams.destroy', $team->id)"></x-btn-delete>
                            @endcan
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </x-card>


    @push('script')
    <script>
        $(document).ready(function() {
            $('.delete').click(function (e) {
                e.preventDefault();
                var customer_id = $(this).data('id')
                swal({
                    title: "{{__('admin.are u sure')}}",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "{{__('admin.no')}}",
                            value: null,
                            visible: true,
                            className: "btn-danger",
                            closeModal: false,
                        },
                        confirm: {
                            text: "{{__('admin.yes')}}",
                            value: true,
                            visible: true,
                            className: "btn-success",
                            closeModal: false
                        }
                    }
                }).then(isConfirm => {
                    if (isConfirm) {
                        this.closest('form').submit();
                        } else {
                            swal("{{__('admin.cancel delete')}}", "{{__('admin.cancelled')}}", "error");
                        }

                });
            });
            /****************************************
             *       js of zero configuration        *
             ****************************************/

            $('#teams-list').DataTable({
                "language": {
                    "decimal": ",",
                    "thousands": ".",
                    "paginate": {
                        "next": '<i class="ft-chevrons-left"></i> ',
                        "previous": '<i class="ft-chevrons-right"></i> '
                    }
                },
                // dom: 'Bfrtip',
                // buttons: [
                //     {
                //         extend: 'excel',
                //         className: 'btn btn-primary ',
                //     },
                //     {
                //         extend: 'print',
                //         className: 'btn btn-primary ',
                //     },
                // ],
            });
        })
    </script>
    @endpush
</x-admin-layout>