<x-admin-layout>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/bootstrap-switch.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/switchery.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/plugins/forms/switch.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/core/colors/palette-switch.css')}}">
    @endpush
    <x-slot name="title">{{ __('admin.courses_tutors') }}</x-slot>
    <x-slot name="activePage">course</x-slot>
    <x-card :title="__('admin.courses_for_this_tutors') . ' ' . $user->first_name .' ' . $user->last_name"
        :type="'table'">
        <x-slot name="create_section">
        </x-slot>
        <div class="table-responsive">
            <table id="courses-list"
                class="table table-white-space table-bordered  display no-wrap icheck table-middle">
                <thead>
                    <tr>
                        <th>{{ __('admin.course name') }}</th>
                        <th>{{ __('admin.show') }}</th>
                        <th>{{ __('admin.status') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($user->courses_tutor as $item)
                    <tr>
                        <td>
                            {{ $item->name }}
                        </td>
                        <td>
                            {{ $item->getShow() }}
                        </td>
                        <td>
                            {{ $item->getStatus() }}
                        </td>

                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </x-card>


    @push('script')
    <script>
        $(document).ready(function() {
            /****************************************
             *       js of zero configuration        *
             ****************************************/

            $('#courses-list').DataTable({
                "language": {
                    "decimal": ",",
                    "thousands": ".",
                    "paginate": {
                        "next": '<i class="ft-chevrons-left"></i> ',
                        "previous": '<i class="ft-chevrons-right"></i> '
                    }
                },
                // dom: 'Bfrtip',
                // buttons: [
                //     {
                //         extend: 'excel',
                //         className: 'btn btn-primary ',
                //     },
                //     {
                //         extend: 'print',
                //         className: 'btn btn-primary ',
                //     },
                // ],
            });
        })
    </script>
    @endpush
</x-admin-layout>
