<x-admin-layout>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/bootstrap-switch.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/forms/toggle/switchery.min.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/plugins/forms/switch.css')}}">
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/css-rtl/core/colors/palette-switch.css')}}">
    <style>
        .bootstrap-switch.bootstrap-switch-animate.bootstrap-switch-off .bootstrap-switch-handle-off {
            font-size: 12px
        }

        .bootstrap-switch .bootstrap-switch-container .bootstrap-switch-handle-on.bootstrap-switch-success {
            font-size: 17px
        }
    </style>
    @endpush
    <x-slot name="title">{{ __('admin.tutors') }}</x-slot>
    <x-slot name="activePage">tutor</x-slot>
    <x-card :title="__('admin.tutors')" :type="'table'">
        <x-slot name="create_section">
            @can('tutor-create')
            <x-btn-create :href="route('admin.tutors.create')"></x-btn-create>
            @endcan
        </x-slot>
        <div class="table-responsive">
            <table id="tutors-list" class="table table-white-space table-bordered  display no-wrap icheck table-middle">
                <thead>
                    <tr>
                        <th>{{ __('admin.first_name') }}</th>
                        <th>{{ __('admin.last_name') }}</th>
                        <th>{{ __('admin.country') }} </th>
                        <th>{{ __('admin.city') }} </th>
                        <th>{{ __('admin.address') }} </th>
                        <th>{{ __('admin.phone') }} </th>
                        <th> {{ __('admin.email') }} </th>
                        <th> {{ __('admin.way register') }} </th>
                        <th>{{ __('admin.status') }}</th>
                        <th>{{ __('admin.courses') }}</th>
                        <th>{{ __('admin.Actions') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($tutors as $tutor)
                    <tr>
                        <th> {{$tutor->first_name}} </th>
                        <th> {{$tutor->last_name}} </th>
                        <th> {{$tutor->country}} </th>
                        <th> {{$tutor->city}} </th>
                        <th> {{$tutor->address}} </th>
                        <th> {{$tutor->phone}} </th>
                        <td>
                            {{ $tutor->email }}
                        </td>
                        <td>{{$tutor->getByAdmin()}}</td>
                        <td>
                            <input type="checkbox" id="switchery" class="switchery change_status_t" name="status" {{
                                $tutor->status == "active" ? 'checked' : ''}} value="{{$tutor->status=='active' ?
                            'active' : 'disabled'}}" data-size="sm"
                            data-url="{{route('admin.tutors.status', $tutor->id)}}" />
                        </td>
                        <td>
                            <a class="text-white btn bg-info" href="{{route('admin.tutors.courses', $tutor->id)}}"><i
                                    class="ft-eye"></i></a>
                        </td>
                        <td>
                            @can('tutor-edit')
                            <x-btn-edit :href="route('admin.tutors.edit', $tutor->id)"></x-btn-edit>
                            @endcan

                            @can('tutor-delete')
                            <x-btn-delete :href="route('admin.tutors.destroy', $tutor->id)"></x-btn-delete>
                            @endcan
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </x-card>

    @push('script')
    <script src="{{asset('admin/vendors/js/forms/toggle/bootstrap-switch.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/forms/toggle/bootstrap-checkbox.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('admin/vendors/js/forms/toggle/switchery.min.js')}}" type="text/javascript"></script>
    <!-- END PAGE VENDOR JS-->
    <script src="{{asset('admin/js/scripts/forms/switch.js')}}" type="text/javascript"></script>
    {{-- <script src="{{ asset('/admin/js/scripts/pages/project-task-list.js') }}" type="text/javascript"></script> --}}
    <script>
        $(document).ready(function() {
            $('.delete').click(function (e) {
                e.preventDefault();
                var customer_id = $(this).data('id')
                swal({
                    title: "{{__('admin.are u sure')}}",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "{{__('admin.no')}}",
                            value: null,
                            visible: true,
                            className: "btn-danger",
                            closeModal: false,
                        },
                        confirm: {
                            text: "{{__('admin.yes')}}",
                            value: true,
                            visible: true,
                            className: "btn-success",
                            closeModal: false
                        }
                    }
                }).then(isConfirm => {
                    if (isConfirm) {
                        this.closest('form').submit();
                        } else {
                            swal("{{__('admin.cancel delete')}}", "{{__('admin.cancelled')}}", "error");
                        }

                });
            });
            /****************************************
             *       js of zero configuration        *
             ****************************************/

            $('#tutors-list').DataTable({
                "language": {
                    "decimal": ",",
                    "thousands": ".",
                    "paginate": {
                        "next": '<i class="ft-chevrons-left"></i> ',
                        "previous": '<i class="ft-chevrons-right"></i> '
                    }
                },
                // dom: 'Bfrtip',
                // buttons: [
                //     {
                //         extend: 'excel',
                //         className: 'btn btn-primary ',
                //     },
                //     {
                //         extend: 'print',
                //         className: 'btn btn-primary ',
                //     },
                // ],
            });

            $(".change_status_t").change(function (e) {
                e.preventDefault();
                var value = ($(this).is(":checked")) ? 'active' : 'disabled'
                    var url = e.currentTarget.dataset.url
                    swal({
                    title: "{{__('admin.are u sure')}}",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "{{__('admin.no')}}",
                            value: null,
                            visible: true,
                            className: "btn-danger",
                            closeModal: false,
                        },
                        confirm: {
                            text: "{{__('admin.yes')}}",
                            value: true,
                            visible: true,
                            className: "btn-success",
                            closeModal: false
                        }
                    }
                    }).then(isConfirm => {
                        if (isConfirm) {
                            $.ajax({
                                type: "post",
                                url: url,
                                dataType: "json",
                                data :{value},
                                success: function (response) {
                                    console.log(response)
                                    swal("{{__('admin.Done')}}",response.message,"success");
                                },error:function (err){
                                    console.log(err)
                                    if (err) {
                                            swal("Oh noes!", err.responseJSON.message , "error");
                                        } else {
                                            swal.stopLoading();
                                            swal.close();
                                        }
                                }
                            });
                            } else {
                                swal("{{__('admin.cancel change')}}", "{{__('admin.change it')}}", "error");
                            }

                    });

            });

        })
    </script>
    @endpush
</x-admin-layout>
