<x-admin-layout>
    <x-slot name="title">{{ __('admin.user-edit') }}</x-slot>
    <x-slot name="activePage">user</x-slot>
    <x-card :title="__('admin.user-edit').' / '. $user->name">
        <x-slot name="create_section">
            <ul class="list-inline mb-0">
                <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li>
                <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
            </ul>
        </x-slot>

        <form class="form" method="POST" action="{{ route('admin.users.update',$user->id) }}">
            @csrf
            @method('PATCH')
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group  mb-2">
                        <label for="name">{{ __('admin.username') }}
                            <span class="danger">*</span>
                        </label>

                        <input type="text" value="{{$user->name}}" id="name"
                            class="form-control required @error('name') is-invalid @enderror" name="name">
                        <x-input-error :messages="$errors->get('name')" />
                    </div>

                </div>
                <div class="col-md-6">
                    <div class="form-group mb-2">
                        <label for="email">{{ __('admin.email') }} <span class="danger">*</span></label>
                        <input type="email" value="{{$user->email}}" id="email"
                            class="form-control required @error('email') is-invalid @enderror" name="email">
                        <x-input-error :messages="$errors->get('email')" />
                    </div>
                </div>

            </div>
            <div class="row">
                <div class="col-md-6 mb-2">
                    <div class="form-group @error('roles') is-invalid @enderror">
                        <label for="roles">{{ __('admin.roles') }}</label>
                        @isset($roles)
                        @foreach ($roles as $role)
                        <div class="">
                            <input {{ in_array($role->id,$userRole) ? 'checked' : ''}}
                            class=""
                            type="checkbox" name="roles[]" value="{{ $role->id }}">
                            <label for="">{{ $role->name }}</label>
                        </div>
                        @endforeach
                        @endisset
                    </div>
                    <x-input-error :messages="$errors->get('roles')" />
                </div>
            </div>
            <div class="form-actions clearfix">
                <x-form-btn-action :cancel="route('admin.users.index')"></x-form-btn-action>
            </div>
        </form>
    </x-card>
    @push('style')
    <style>
        .form-group.is-invalid~.invalid-feedback {
            display: block
        }
    </style>
    @endpush
</x-admin-layout>
