<x-admin-layout>
    <x-slot name="title">{{ __('admin.users') }}</x-slot>
    <x-slot name="activePage">user</x-slot>
    <x-card :title="__('admin.users')" :type="'table'">
        <x-slot name="create_section">
            @can('user-create')
            <x-btn-create :href="route('admin.users.create')"></x-btn-create>
            @endcan
        </x-slot>
        <div class="table-responsive">
            <table id="users-list" class="table table-white-space table-bordered  display no-wrap icheck table-middle">
                <thead>
                    <tr>
                        <th>{{ __('admin.user name') }}</th>
                        <th> {{ __('admin.email') }} </th>
                        <th>{{ __('admin.roles') }}</th>
                        <th>{{ __('admin.Actions') }}</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($all_user as $user)
                    <tr>
                        <td>
                            {{ $user->name }}
                        </td>
                        <td>
                            {{ $user->email }}
                        </td>
                        <td>
                            @if(!empty($user->getRoleNames()))
                            @foreach($user->getRoleNames() as $v)
                            <label class="badge badge-info">{{ $v }}</label>
                            @endforeach
                            @endif
                        </td>
                        <td>
                            @can('user-edit')
                            <x-btn-edit :href="route('admin.users.edit', $user->id)"></x-btn-edit>
                            @endcan

                            @can('user-delete')
                            <x-btn-delete :href="route('admin.users.destroy', $user->id)"></x-btn-delete>
                            @endcan
                        </td>
                    </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </x-card>

    @push('script')
    {{-- <script src="{{ asset('/admin/js/scripts/pages/project-task-list.js') }}" type="text/javascript"></script> --}}
    <script>
        $(document).ready(function() {
            $('.delete').click(function (e) {
                e.preventDefault();
                var customer_id = $(this).data('id')
                swal({
                    title: "{{__('admin.are u sure')}}",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "{{__('admin.no')}}",
                            value: null,
                            visible: true,
                            className: "btn-danger",
                            closeModal: false,
                        },
                        confirm: {
                            text: "{{__('admin.yes')}}",
                            value: true,
                            visible: true,
                            className: "btn-success",
                            closeModal: false
                        }
                    }
                }).then(isConfirm => {
                    if (isConfirm) {
                        this.closest('form').submit();
                        } else {
                            swal("{{__('admin.cancel delete')}}", "{{__('admin.cancelled')}}", "error");
                        }

                });
            });
            /****************************************
             *       js of zero configuration        *
             ****************************************/

            $('#users-list').DataTable({
                "language": {
                    "decimal": ",",
                    "thousands": ".",
                    "paginate": {
                        "next": '<i class="ft-chevrons-left"></i> ',
                        "previous": '<i class="ft-chevrons-right"></i> '
                    }
                },
                // dom: 'Bfrtip',
                // buttons: [
                //     {
                //         extend: 'excel',
                //         className: 'btn btn-primary ',
                //     },
                //     {
                //         extend: 'print',
                //         className: 'btn btn-primary ',
                //     },
                // ],
            });
        })
    </script>
    @endpush
</x-admin-layout>
