<x-guest-layout>
    @push('style')
    @endpush
    <x-slot name="title">{{__('site.Register')}}</x-slot>
    <!--Register Form Start-->
    <div class="login-register section-padding">
        <div class="container">
            <div class="row ">
                <div class="mx-auto col-lg-7 col-12">
                    <div class="customer-login-register">
                        <div class="login-form">
                            <div class="form-login-title">
                                <h2>{{__('site.Register')}}</h2>
                            </div>
                            {{-- @if($errors->has())
                            @foreach ($errors->all() as $error)
                            <div>{{ $error }}</div>
                            @endforeach
                            @endif --}}
                            <form method="POST" action="{{ route('register') }}">
                                @csrf
                                <div class="form-fild">
                                    <p class="text-lang"><label>{{__('site.first_name')}}<span
                                                class="required">*</span></label></p>
                                    <input class="text-lang" name="first_name" value="{{old('first_name')}}"
                                        type="text">

                                    <x-input-error messages="first_name" type="string" class="mt-2" />
                                </div>
                                <div class="form-fild">
                                    <p class="text-lang"><label>{{__('site.last_name')}}<span
                                                class="required">*</span></label></p>
                                    <input class="text-lang" name="last_name" value="{{old('last_name')}}" type="text">
                                    <x-input-error messages="last_name" type="string" class="mt-2" />
                                </div>
                                <div class="form-fild">
                                    <p class="text-lang"><label>{{__('site.Email Address')}} <span
                                                class="required">*</span></label></p>
                                    <input class="text-lang" name="email" value="{{old('email')}}" type="email">
                                    <x-input-error messages="email" type="string" class="mt-2" />
                                </div>
                                <div class="form-fild">
                                    <p class="text-lang"><label>{{__('site.Country')}} <span
                                                class="required">*</span></label></p>
                                    <input class="text-lang" name="country" value="{{old('country')}}" type="text">
                                    <x-input-error type="string" messages="country" class="mt-2" />
                                </div>
                                <div class="form-fild">
                                    <p class="text-lang"><label>{{__('site.City')}} <span
                                                class="required">*</span></label></p>
                                    <input class="text-lang" name="city" value="{{old('city')}}" type="text">
                                    <x-input-error type="string" messages="city" class="mt-2" />
                                </div>
                                <div class="form-fild">
                                    <p class="text-lang"><label>{{__('site.address')}} <span
                                                class="required">*</span></label></p>
                                    <input class="text-lang" name="address" value="{{old('address')}}" type="text">
                                    <x-input-error type="string" messages="address" class="mt-2" />
                                </div>
                                <div class="form-fild">
                                    <p class="text-lang"><label>{{__('site.Phone')}} <span
                                                class="required">*</span></label></p>
                                    <input class="text-lang" name="phone" value="{{old('phone')}}" type="text">
                                    <x-input-error type="string" messages="phone" class="mt-2" />
                                </div>
                                <div class="form-fild position-relative">
                                    <p class="text-lang"><label>{{__('site.Password')}} <span
                                                class="required">*</span></label></p>
                                    <input autocomplete="new-password" name="password" value="" type="password">
                                    <x-input-error type="string" messages="password" class="mt-2" />
                                    <div class="form-control-position inside-field">
                                        <i class="fa fa-eye-slash change-type"></i>
                                    </div>
                                </div>
                                <div class="form-fild position-relative">
                                    <p class="text-lang"><label>{{__('site.Confirm Password')}} <span
                                                class="required">*</span></label>
                                    </p>
                                    <input class="text-lang" name="password_confirmation" value="" type="password">
                                    <x-input-error type="string" messages="password_confirmation" class="mt-2" />
                                    <div class="form-control-position inside-field">
                                        <i class="fa fa-eye-slash change-type"></i>
                                    </div>
                                </div>
                                <div class="login-submit">
                                    <button type="submit" class="button-default">{{__('site.Register')}}</button>
                                    <a class="underline text-sm text-gray-600 hover:text-gray-900 rounded-md focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500"
                                        href="{{ route('login') }}">
                                        {{ __('site.Already registered?') }}
                                    </a>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--Register Form End-->
    {{-- <form method="POST" action="{{ route('register') }}">
        @csrf

        <div>
            <x-input-label for="name" :value="__('Name')" />
            <x-text-input id="name" class="block mt-1 w-full" type="text" name="name" :value="old('name')" required
                autofocus />
            <x-input-error :messages="$errors->get('name')" class="mt-2" />
        </div>

        <div class="mt-4">
            <x-input-label for="email" :value="__('Email')" />
            <x-text-input id="email" class="block mt-1 w-full" type="email" name="email" :value="old('email')"
                required />
            <x-input-error :messages="$errors->get('email')" class="mt-2" />
        </div>

        <div class="mt-4">
            <x-input-label for="password" :value="__('admin.Password')" />

            <x-text-input id="password" class="block mt-1 w-full" type="password" name="password" required
                autocomplete="new-password" />

            <x-input-error :messages="$errors->get('password')" class="mt-2" />
        </div>

        <div class="mt-4">
            <x-input-label for="password_confirmation" :value="__('Confirm Password')" />

            <x-text-input id="password_confirmation" class="block mt-1 w-full" type="password"
                name="password_confirmation" required />

            <x-input-error :messages="$errors->get('password_confirmation')" class="mt-2" />
        </div>

        <div class="flex items-center justify-end mt-4">
            <a class="underline text-sm text-gray-600 hover:text-gray-900 rounded-md focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500"
                href="{{ route('login') }}">
                {{ __('Already registered?') }}
            </a>

            <x-primary-button class="ml-4">
                {{ __('Register') }}
            </x-primary-button>
        </div>
    </form> --}}
    @push('script')
    <script>
        $('.change-type').click(function (e) {
        e.preventDefault();
        if($(this).hasClass('fa-eye-slash')){
            $(this).parents('.form-fild').find('input[type="password"]').attr('type','text')
        }else{
            $(this).parents('.form-fild').find('input[type="text"]').attr('type','password')
        }
        $(this).toggleClass('fa-eye');
        $(this).toggleClass('fa-eye-slash');
    });
    </script>
    @endpush
</x-guest-layout>