@props(['title','type' => 'form','column'=>'col-8'])
<div>

    <div class="app-content content">
        <div class="content-wrapper">
            <div class="row">
                <div class="@if($type && $type == 'table') col-12 @else {{$column}} mx-auto @endif">
                    <x-message-session class="mb-4" />
                </div>
            </div>
            <div class="content-body">
                <section class="row">
                    <div class="@if($type && $type == 'table') col-12  @else {{$column}} mx-auto @endif">
                        <div class="card">
                            <div class="card-header">
                                @if($title)
                                <h4 class="card-title">{{$title}}</h4>
                                @endif
                                <a class="heading-elements-toggle"><i class="la la-ellipsis-h font-medium-3"></i></a>
                                <div class="heading-elements">
                                    @if($create_section)
                                    {{$create_section}}
                                    @endif

                                </div>
                            </div>
                            <div class="card-content">
                                <div class="card-body">
                                    {{$slot}}
                                </div>
                            </div>
                        </div>
                    </div>

                    @isset($second_card)
                    {{$second_card}}
                    @endif

                </section>
            </div>
        </div>
    </div>
</div>