<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <link rel="shortcut icon" type="image/x-icon" href="{{ asset('/site/img/logo.ico') }}">


    <title>{{(isset($title)) ? $title : 'kids'}} </title>

    <!-- Fonts -->
    {{--
    <link rel="stylesheet" href="https://fonts.bunny.net/css2?family=Nunito:wght@400;600;700&display=swap"> --}}

    <!-- Scripts -->
    {{-- @vite(['resources/css/app.css', 'resources/js/app.js']) --}}

    <link href='https://fonts.googleapis.com/css?family=Raleway:400,300,500,600,700,800' rel='stylesheet'
        type='text/css'>

    <!-- Color Swithcer CSS
		============================================ -->
    <link rel="stylesheet" href="{{ asset('/site/css/color-switcher.css')}}">

    <!-- Fontawsome CSS
		============================================ -->
    <link rel="stylesheet" href="{{ asset('/site/css/font-awesome.min.css')}}">

    <!-- Metarial Iconic Font CSS
		============================================ -->
    <link rel="stylesheet" href="{{ asset('/site/css/material-design-iconic-font.min.css')}}">

    <!-- Bootstrap CSS
		============================================ -->
    <link rel="stylesheet" href="{{ asset('/site/css/bootstrap.min.css')}}">

    <!-- Plugins CSS
		============================================ -->
    <link rel="stylesheet" href="{{ asset('/site/css/plugins.css')}}">

    <!-- Style CSS
		============================================ -->
    <link rel="stylesheet" href="{{ asset('/site/css/style.css')}}">

    <!-- Color CSS
		============================================ -->
    <link rel="stylesheet" href="{{ asset('/site/css/color.css')}}">

    <!-- Responsive CSS
		============================================ -->
    <link rel="stylesheet" href="{{ asset('/site/css/responsive.css')}}">

    @if (session()->get('direction') == "rtl")
    <link rel="stylesheet" href="{{ asset('/site/css/custome_rtl.css')}}">
    @else
    <link rel="stylesheet" href="{{ asset('/site/css/custome_ltr.css')}}">
    @endif
    @stack('style')

    <!-- Modernizr JS
		============================================ -->
    <script src="{{ asset('/site/js/vendor/modernizr-2.8.3.min.js')}}"></script>
</head>

<body class="{{session()->get('direction') == 'rtl' ? 'rtl' : 'ltr' }}">
    <div class="as-mainwrapper">
        <!--Bg White Start-->
        <div class="bg-white">
            @include('site.include.header')
            @if (isset($activePage) && $activePage != 'home')
            @include('site.include.breadcrumb')
            @endif

            {{ $slot }}

            @include('site.include.footer')
        </div>
    </div>

    <script src="{{asset('/site/js/vendor/jquery-1.12.4.min.js')}}"></script>

    <!-- popper JS
    ============================================ -->
    <script src="{{asset('/site/js/popper.min.js')}}"></script>

    <!-- bootstrap JS
    ============================================ -->
    <script src="{{asset('/site/js/bootstrap.min.js')}}"></script>

    <!-- AJax Mail JS
    ============================================ -->
    {{-- <script src="{{asset('/site/js/ajax-mail.js')}}"></script> --}}

    <!-- plugins JS
    ============================================ -->
    <script src="{{asset('/site/js/plugins.js')}}"></script>

    <!-- StyleSwitch JS
    ============================================ -->
    <script src="{{asset('/site/js/styleswitch.js')}}"></script>

    <!-- main JS
    ============================================ -->
    <script src="{{asset('/site/js/main.js')}}"></script>
    @auth
    <script>
        $.ajax({
                type: "get",
                url: "{{route('site.cart.total_count')}}",
                dataType: "json",
                success: function (response) {
                    $('#count_cart').html(response.data);
                }
            });
    </script>
    @endauth
    <script>
        $(document).ready(function() {

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $('#search').keyup(function (e) {
                if ($(this).val().length > 0){
                    var data = {search_term:$(this).val()}
                    $.ajax({
                        type: "post",
                        url: "{{route('site.store.search')}}",
                        data: data,
                        dataType: "json",
                        success: function (response) {
                            console.log(response);
                        },error: function (err){
                            console.log(err);
                        }
                    });
                }
            });
        });
    </script>
    @stack('script')
</body>


{{--

<body class="font-sans antialiased">
    <div class="min-h-screen bg-gray-100">
        @include('layouts.navigation')

        @if (isset($header))
        <header class="bg-white shadow">
            <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
                {{ $header }}
            </div>
        </header>
        @endif

        <!-- Page Content -->
        <main>
            {{ $slot }}
        </main>
    </div>
</body> --}}

</html>
