<x-app-layout>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('/admin/vendors/css/extensions/toastr.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('/admin/css-rtl/plugins/extensions/toastr.css') }}">
    @endpush
    <x-slot name="title">{{('site.Profile')}}</x-slot>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{ __('site.Profile') }}
        </h2>
    </x-slot>

    <div class="py-12 dir">
        <div class="container">
            <div class="row">
                <div class="col-md-8 mb-4">
                    <div>
                        @include('profile.partials.update-profile-information-form')
                    </div>
                </div>

                <div class="col-md-4 mb-4">
                    <div>
                        @include('profile.partials.update-avatar-form')
                    </div>
                </div>

                <div class="col-md-8 mb-4">
                    <div>
                        @include('profile.partials.update-password-form')
                    </div>
                </div>

                {{-- <div class="col-12 mb-4">
                    <div class="max-w-xl">
                        @include('profile.partials.delete-user-form')
                    </div>
                </div> --}}
            </div>
        </div>
    </div>
    @push('script')
    <script type="text/javascript" src="{{ asset('/admin/vendors/js/extensions/toastr.min.js') }}"></script>
    <script>
        var success = "{{__('admin.success')}}"
        var error = "{{__('admin.error')}}"
        $('.change-type').click(function (e) {
        e.preventDefault();
        if($(this).hasClass('fa-eye-slash')){
            $(this).parents('.form-fild').find('input[type="password"]').attr('type','text')
        }else{
            $(this).parents('.form-fild').find('input[type="text"]').attr('type','password')
        }
        $(this).toggleClass('fa-eye');
        $(this).toggleClass('fa-eye-slash');
    });

    $('#first_name').keyup(function (e) {
        $('#text_first_name').html($(this).val())
    });
    $('#last_name').keyup(function (e) {
        $('#text_last_name').html($(this).val())
    });
    $('#country').keyup(function (e) {
        $('#text_country').html($(this).val())
    });
    $('#city').keyup(function (e) {
        $('#text_city').html($(this).val())
    });
    $('#address').keyup(function (e) {
        $('#text_address').html($(this).val())
    });
    $('#phone').keyup(function (e) {
        $('#text_phone').html($(this).val())
    });

    $('#file').change(function (e) {
            e.preventDefault();
            var path = URL.createObjectURL(e.target.files[0]);
            $('#preview').attr('src',path);

            // $(".form_image").submit();

            var formData = new FormData();
            formData.append('file',$('#file')[0].files[0])

            $.ajax({
                type: "post",
                url: "{{ route('profile.upload.avatar') }}",
                data: formData,
                contentType: false,
                processData: false,
                dataType: "json",
                success: function (response) {
                    toastr.success(response.message, success, { "timeOut": 0, positionClass: 'toast-top-right' });
                },error: function(err){

                    toastr.error(err.responseJSON.message, error, { "timeOut": 0, positionClass: 'toast-top-right' });
                }
            });


        });
    </script>
    @endpush
</x-app-layout>