<x-app-layout>
    <x-slot name="title">{{__('site.Courses')}}</x-slot>
    <div class="course-area pt-5 course-page">
        <div class="container">
            <div class="row dir">
                <div class="col-sm-12">

                    <h3 class="mb-4">{{__('site.all_course')}}</h3>
                </div>
                @if ($data != null && $data->courses_student != null && count($data->courses_student) > 0)
                <div class="col-sm-8">
                    @foreach ($data->courses_student as $item)
                    <x-list-course :course="$item"></x-list-course>
                    @endforeach
                </div>
                @endif
                <div class="col-sm-4">
                    <div id="students" class="students">
                    </div>
                </div>
            </div>
        </div>
    </div>
    @push('script')
    <script>
        var email = "{{__('site.Email Address')}}"
        var phone = "{{__('site.Phone')}}"
        $('.show-student').click(function (e) {
                e.preventDefault();
                var url = $(this).data('url')
                $.ajax({
                    type: "get",
                    url: url,
                    dataType: "json",
                    success: function (response) {
                        var string = ''
                        response.course.students.forEach(v => {
                            string += `
                            <div class="wrapper-student mb-3">
                                <div class="row">
                                    <div class="col-sm-3">
                                        <img src="${v.full_path}" alt="img12" />
                                    </div>
                                    <div class="col-sm-9">
                                        <div class="d-flex item-course">
                                            <div class="dir">
                                                <h5>${v.username}</h5>
                                                <div>
                                                    <span class="title">${email} : </span>
                                                    <span class="data">${v.email}</span>
                                                </div>
                                                <div class="dir">
                                                    <span class="title">${phone} : </span>
                                                    <span class="data">${v.phone}</span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>`
                        });
                        $('#students').html(string)
                    },
                    error: function (err){

                    }
                });
            });
    </script>
    @endpush
</x-app-layout>