<section>
    <div class="card">
        <div class="card-header">
            <x-header :sub="__('site.Ensure your account is using a long, random password to stay secure.')"
                :title="__('site.Update Password')"></x-header>
        </div>
        <div class="card-content">
            <div class="card-body">

                <form method="post" action="{{ route('password.update') }}" class="mt-6 space-y-6">
                    @csrf
                    @method('put')

                    <div class="form-fild position-relative">
                        <p class="text-lang"><label>{{__('site.Current Password')}} <span
                                    class="required">*</span></label></p>
                        <input autocomplete="current_password" name="current_password" value="" type="password">
                        <x-input-error type="string" messages="current_password" class="mt-2" />
                        <div class="form-control-position inside-field">
                            <i class="fa fa-eye-slash change-type"></i>
                        </div>
                    </div>


                    <div class="form-fild position-relative">
                        <p class="text-lang"><label>{{__('site.New Password')}} <span class="required">*</span></label>
                        </p>
                        <input autocomplete="new-password" name="password" value="" type="password">
                        <x-input-error type="string" messages="password" class="mt-2" />
                        <div class="form-control-position inside-field">
                            <i class="fa fa-eye-slash change-type"></i>
                        </div>
                    </div>

                    <div class="form-fild position-relative">
                        <p class="text-lang"><label>{{__('site.Confirm Password')}} <span
                                    class="required">*</span></label></p>
                        <input autocomplete="new-password" name="password_confirmation" value="" type="password">
                        <x-input-error type="string" messages="password_confirmation" class="mt-2" />
                        <div class="form-control-position inside-field">
                            <i class="fa fa-eye-slash change-type"></i>
                        </div>
                    </div>
                    {{-- <div>
                        <x-input-label for="current_password" :value="__('Current Password')" />
                        <x-text-input id="current_password" name="current_password" type="password"
                            class="mt-1 block w-full" autocomplete="current-password" />
                        <x-input-error :messages="$errors->updatePassword->get('current_password')" class="mt-2" />
                    </div> --}}

                    {{-- <div>
                        <x-input-label for="password" :value="__('New Password')" />
                        <x-text-input id="password" name="password" type="password" class="mt-1 block w-full"
                            autocomplete="new-password" />
                        <x-input-error :messages="$errors->updatePassword->get('password')" class="mt-2" />
                    </div>

                    <div>
                        <x-input-label for="password_confirmation" :value="__('Confirm Password')" />
                        <x-text-input id="password_confirmation" name="password_confirmation" type="password"
                            class="mt-1 block w-full" autocomplete="new-password" />
                        <x-input-error :messages="$errors->updatePassword->get('password_confirmation')" class="mt-2" />
                    </div> --}}

                    <div class="d-flex items-center justify-content-end">
                        <button type="submit" class="button-default">{{__('site.Save')}}</button>

                        @if (session('status') === 'password-updated')
                        <p x-data="{ show: true }" x-show="show" x-transition
                            x-init="setTimeout(() => show = false, 2000)" class="text-sm text-gray-600">{{ __('Saved.')
                            }}</p>
                        @endif
                    </div>
                </form>
            </div>
        </div>
</section>