<section>
    <div class="card dir">
        <div class="card-header">
            <x-header :title="__('site.Profile Information')" :sub="__('site.Update your account')"></x-header>
        </div>
        <div class="card-content">
            <div class="card-body">
                <form id="send-verification" method="post" action="{{ route('verification.send') }}">
                    @csrf
                </form>

                <form method="post" action="{{ route('profile.update') }}" class="mt-6 space-y-6">
                    @csrf
                    @method('patch')
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-fild">
                                <p class="text-lang"><label>{{__('site.first_name')}}<span
                                            class="required">*</span></label></p>
                                <input id="first_name" class="text-lang" name="first_name"
                                    value="{{old('first_name',$user->first_name)}}" type="text">
                                <x-input-error messages="first_name" type="string" class="mt-2" />
                            </div>
                        </div>
                        <div class="col-md-6">

                            <div class="form-fild">
                                <p class="text-lang"><label>{{__('site.last_name')}}<span
                                            class="required">*</span></label></p>
                                <input id="last_name" class="text-lang" name="last_name"
                                    value="{{old('last_name',$user->last_name)}}" type="text">
                                <x-input-error messages="last_name" type="string" class="mt-2" />
                            </div>
                        </div>
                        <div class="col-md-6">

                            <div class="form-fild">
                                <p class="text-lang"><label>{{__('site.Email Address')}} <span
                                            class="required">*</span></label>
                                </p>
                                <input class="text-lang" name="email" value="{{old('email',$user->email)}}"
                                    type="email">
                                <x-input-error messages="email" type="string" class="mt-2" />

                                @if ($user instanceof \Illuminate\Contracts\Auth\MustVerifyEmail && !
                                $user->hasVerifiedEmail())
                                <div>
                                    <p class="text-sm mt-2 text-gray-800">
                                        {{ __('site.Your email address is unverified.') }}

                                        <button form="send-verification"
                                            class="underline text-sm text-gray-600 hover:text-gray-900 rounded-md focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
                                            {{ __('site.Click here to re-send the verification email.') }}
                                        </button>
                                    </p>

                                    @if (session('status') === 'verification-link-sent')
                                    <p class="mt-2 font-medium text-sm text-green-600">
                                        {{ __('site.A new verification link has been sent to your email address.') }}
                                    </p>
                                    @endif
                                </div>
                                @endif
                            </div>

                        </div>
                        <div class="col-md-6">
                            <div class="form-fild">
                                <p class="text-lang"><label>{{__('site.Country')}} <span
                                            class="required">*</span></label></p>
                                <input id="country" class="text-lang" name="country"
                                    value="{{old('country',$user->country)}}" type="text">
                                <x-input-error type="string" messages="country" class="mt-2" />
                            </div>

                        </div>
                        <div class="col-md-6">
                            <div class="form-fild">
                                <p class="text-lang"><label>{{__('site.City')}} <span class="required">*</span></label>
                                </p>
                                <input id="city" class="text-lang" name="city" value="{{old('city',$user->city)}}"
                                    type="text">
                                <x-input-error type="string" messages="city" class="mt-2" />
                            </div>

                        </div>
                        <div class="col-md-6">
                            <div class="form-fild">
                                <p class="text-lang"><label>{{__('site.address')}} <span
                                            class="required">*</span></label></p>
                                <input id="address" class="text-lang" name="address"
                                    value="{{old('address',$user->address)}}" type="text">
                                <x-input-error type="string" messages="address" class="mt-2" />
                            </div>

                        </div>
                        <div class="col-md-6">
                            <div class="form-fild">
                                <p class="text-lang"><label>{{__('site.Phone')}} <span class="required">*</span></label>
                                </p>
                                <input id="phone" class="text-lang" name="phone" value="{{old('phone',$user->phone)}}"
                                    type="text">
                                <x-input-error type="string" messages="phone" class="mt-2" />
                            </div>

                        </div>
                        <div class="col-md-12">
                            <div class="d-flex items-center justify-content-end">
                                <button type="submit" class="button-default">{{__('site.Save')}}</button>

                                @if (session('status') === 'profile-updated')
                                <p x-data="{ show: true }" x-show="show" x-transition
                                    x-init="setTimeout(() => show = false, 2000)" class="text-sm text-gray-600">{{
                                    __('site.Saved.') }}</p>
                                @endif
                            </div>

                        </div>

                    </div>



                </form>
            </div>
        </div>
    </div>

</section>