<x-app-layout>

    <x-slot name="title">{{__('site.cart')}}</x-slot>
    <x-slot name="activePage">cart</x-slot>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('/admin/vendors/css/extensions/sweetalert.css') }}">
    <link rel="stylesheet" href="{{ asset('/site/css/cart.css')}}">
    @endpush
    <div class=" section-padding">

        <div class="container">
            <div class="mb-4">
                <x-message-session />
            </div>
            <div class="row">

                <div class="col-12">
                    <form action="{{route('site.update.cart')}}" id="form-table" method="post">
                        @csrf
                        <table class="shop-table cart-table">
                            <thead>
                                <tr>
                                    <th class="product-name"><span>{{__('site.product')}}</span></th>
                                    <th></th>
                                    <th class="product-price"><span>{{__('site.price')}}</span></th>
                                    <th class="product-quantity"><span>{{__('site.quantity')}}</span></th>
                                    <th class="product-subtotal"><span>{{__('site.subtotal')}}</span></th>
                                </tr>
                            </thead>
                            <tbody>
                                @if ($cart != null || $cart != '')
                                @foreach ($cart->details as $key => $item)
                                <tr id="tr_{{$key}}">
                                    <td class="product-thumbnail">
                                        <div class="position-relative">
                                            <a href="{{route('site.store.details',$item->product->slug)}}">
                                                <figure class="mb-0">
                                                    <img src="{{$item->product->image ? $item->product->getPathImage() : asset('admin/images/placeholder.png')}}"
                                                        alt="product" width="300" height="338">
                                                </figure>
                                            </a>
                                            {{-- <form action="{{route('site.delete.from.cart',$item->id)}}"
                                                method="POST">
                                                @csrf
                                                @method('DELETE') --}}
                                                <button data-index="{{$key}}"
                                                    data-url="{{route('site.delete.from.cart',$item->id)}}"
                                                    class="btn btn-close"><i class="fa fa-times"></i></button>
                                                {{--
                                            </form> --}}
                                        </div>
                                    </td>
                                    <td class="product-name">
                                        <a href="{{route('site.store.details',$item->product->slug)}}">
                                            {{$item->product->name}}
                                        </a>
                                    </td>
                                    <td class="product-price"><span class="amount">
                                            <input type="hidden" name="id[]" value="{{$item->id}}">
                                            <input type="hidden" class="price_{{$key}}"
                                                value="{{$item->product->price}}">
                                            {{$item->product->price}}</span></td>
                                    <td class="product-quantity">
                                        <div class="input-group">
                                            <input class="quantity form-control" value="{{$item->quantity}}"
                                                type="number" name="quantity[]" min="1" max="100000">
                                            <div data-key="{{$key}}" class="quantity-plus fa fa-plus"></div>
                                            <div data-key="{{$key}}" class="quantity-minus fa fa-minus"></div>
                                        </div>
                                    </td>
                                    <td class="product-subtotal">
                                        <span class="amount subtotal_{{$key}}">{{$item->quantity *
                                            $item->product->price}}</span>

                                    </td>
                                </tr>
                                @endforeach
                                @endisset
                            </tbody>
                        </table>
                    </form>


                    @if ($cart != null || $cart != '')

                    @if (count($cart->details) > 0)
                    <div class="cart-action mb-6 text-left mt-4">
                        <a href="{{route('site.order')}}"
                            class="btn btn-orange btn-rounded btn-icon-left btn-shop mr-auto"><i
                                class="w-icon-long-arrow-left"></i>{{__('site.Continue Shopping')}}</a>
                        <form action="{{route('site.clear.cart')}}" class="d-inline-block" method="POST">
                            @csrf
                            @method('DELETE')
                            <button type="submit" class="btn btn-rounded btn-course btn-clear" id="clear_cart"
                                name="clear_cart" value="Clear Cart">{{__('site.Clear Cart')}}</button>
                        </form>
                        <button type="submit" id="update_cart" class="btn btn-rounded btn-update btn-course disabled"
                            name="update_cart" value="Update Cart">{{__('site.Update Cart')}}</button>
                    </div>
                    @endif
                    @endif
                </div>
                <div class="col-12 text-center mt-5">
                    @if ($cart == null || $cart == '')
                    <a href="{{route('site.store')}}" class="btn-shopping">{{__('site.go to shopping')}}</a>
                    @endif
                </div>
            </div>
        </div>
    </div>
    @push('script')
    <script type="text/javascript" src="{{ asset('/admin/vendors/js/extensions/sweetalert.min.js') }}"></script>
    <script>
        $('.quantity-plus').on('click', function () {
                if ($(this).prev().val()) {
                    $(this).prev().val(+$(this).prev().val() + 1);
                    amount($(this).prev().val(),$(this).data('key'))
                }
            });
        $('.quantity-minus').on('click', function () {
            var prev = $(this).prev().prev()
            if (prev.val() > 1) {
                if (prev.val() > 1) prev.val(+prev.val() - 1);
                amount(prev.val(),$(this).data('key'))
            }
        });

        function amount(val,index){
            $('.subtotal_'+index).html(parseInt(val) * parseFloat($('.price_'+index).val()))
            $('#update_cart').removeClass('disabled');
        }

        $('#clear_cart').click(function (e) {
            e.preventDefault();
            swal({
                title: "{{__('site.are u sure to clear cart')}}",
                icon: "warning",
                showCancelButton: true,
                buttons: {
                    cancel: {
                        text: "{{__('admin.no')}}",
                        value: null,
                        visible: true,
                        className: "btn-danger",
                        closeModal: false,
                    },
                    confirm: {
                        text: "{{__('admin.yes')}}",
                        value: true,
                        visible: true,
                        className: "btn-success",
                        closeModal: false
                    }
                }
            }).then(isConfirm => {
                if (isConfirm) {
                    this.closest('form').submit();
                    } else {
                        swal("{{__('admin.cancel delete')}}", "{{__('admin.cancelled')}}", "error");
                    }

            });
        });

        $('#update_cart').click(function (e) {
            e.preventDefault();
            swal({
                    title: "{{__('admin.are u sure')}}",
                    icon: "warning",
                    showCancelButton: true,
                    buttons: {
                        cancel: {
                            text: "{{__('admin.no')}}",
                            value: null,
                            visible: true,
                            className: "btn-danger",
                            closeModal: false,
                        },
                        confirm: {
                            text: "{{__('admin.yes')}}",
                            value: true,
                            visible: true,
                            className: "btn-success",
                            closeModal: false
                        }
                    }
                }).then(isConfirm => {
                    if (isConfirm) {
                        $('#form-table').submit()
                        } else {
                            swal("{{__('admin.cancel proccess')}}", "{{__('admin.cancelled')}}", "error");
                        }

                });
        });

        $('.btn-close').click(function (e) {
            e.preventDefault();
            var index = $(this).data('index')
            var url = $(this).data('url')
            swal({
                title: "{{__('site.are u sure to delete this item')}}",
                icon: "warning",
                showCancelButton: true,
                buttons: {
                    cancel: {
                        text: "{{__('admin.no')}}",
                        value: null,
                        visible: true,
                        className: "btn-danger",
                        closeModal: false,
                    },
                    confirm: {
                        text: "{{__('admin.yes')}}",
                        value: true,
                        visible: true,
                        className: "btn-success",
                        closeModal: false
                    }
                }
            }).then(isConfirm => {
                if (isConfirm) {
                    // this.closest('form').submit();
                    $.ajax({
                        type: "delete",
                        url: url,
                        dataType: "json",
                        success: function (response) {
                            $('#tr_'+index).remove()
                            $('#count_cart').html(response.data)
                            swal(response.message, "{{__('admin.success')}}", "success");
                        },error: function (err){
                            console.log(err);
                            swal(err.responseJSON.message, "{{__('admin.faild')}}", "error");
                        }
                    });
                    } else {
                        swal("{{__('admin.cancel delete')}}", "{{__('admin.cancelled')}}", "error");
                    }

            });
        });
    </script>

    @endpush
</x-app-layout>