<x-app-layout :data="$setting">
    <x-slot name="title">{{__('site.Courses')}}</x-slot>
    <x-slot name="activePage">courses</x-slot>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('/admin/vendors/css/extensions/toastr.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('/admin/css-rtl/plugins/extensions/toastr.css') }}">
    @endpush
    <!--Search Category Start-->
    <div class="search-category">
        <div class="container">
            <div class="row">
                <div class="col-lg-10 offset-lg-1 col-md-12 col-12">
                    <form action="#" id="searchCourse" data-url="{{route('site.search.course')}}" method="post">
                        <div class="form-container">
                            <div class="box-select">
                                <div class="select small">
                                    <select name="category">
                                        <option value="all">{{__('site.All Categories')}}</option>
                                        @foreach ($categories as $item)
                                        <option value="{{$item->id}}">{{$item->name}}</option>
                                        @endforeach
                                    </select>
                                </div>
                                <div class="select small">
                                    <input type="date" class="date" value="{{date('Y-m-d')}}" name="date"
                                        placeholder="{{__('site.start_date')}}" id="">
                                </div>
                                <div class="select small">
                                    <input type="number" name="min_price" placeholder="{{$min_price}}" class="price"
                                        min="{{$min_price}}" id="">
                                </div>
                                <div class="select small">
                                    <input type="number" name="max_price" placeholder="{{$max_price}}" class="price"
                                        max="{{$max_price}}" id="">

                                </div>
                            </div>
                            {{-- <div class="clear-float"></div> --}}
                            <button type="submit">{{__('site.Search')}}</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!--End of Search Category-->


    <div class="course-area section-padding course-page">
        <div class="container">
            <div class="row" id="loaded">
                @foreach ($courses as $item)
                <div class="col-lg-4 col-md-6 col-12">
                    <x-course :course="$item" />
                </div>
                @endforeach
            </div>
            <div class="row" id="serched"></div>
        </div>
    </div>

    @push('script')
    <script type="text/javascript" src="{{ asset('/admin/vendors/js/extensions/toastr.min.js') }}"></script>
    <script>
        var error = "{{__('admin.error')}}"
        $('#searchCourse').submit(function (e) {
                e.preventDefault();
                var url = $(this).data('url')
                var data = $(this).serialize()
                $.ajax({
                    type: "post",
                    url: url,
                    data: data,
                    dataType: "json",
                    success: function (response) {
                        $('#loaded').hide();
                        var string = ''
                        response.data.forEach(v => {
                            string += `
                            <div class="col-lg-4 col-md-6 col-12">
                                <div class="grid-hover row">
                                    <figure class="effect-lily">
                                        <img src="${v.full_path}" alt="img12" />
                                        <figcaption>
                                            <div>
                                                <h2>${v.course}</h2>
                                                <p class="date">
                                                    <span>
                                                        <span>{{__('site.Date')}}:</span>
                                                        <span>${v.start_date}</span>
                                                    </span>
                                                    <span class="price-section">
                                                        <span>{{__('site.price')}}:</span>
                                                        <span>${v.price}</span>
                                                    </span>
                                                </p>
                                            </div>
                                        </figcaption>
                                    </figure>
                                </div>
                            </div>`

                        });
                                $('#serched').html(string)
                    },
                    error: function(err){
                        console.log(err);
                        toastr.error(err.responseJSON.message, error, { "timeOut": 0, positionClass: 'toast-top-right' });
                    }
                });
            });
    </script>
    @endpush

</x-app-layout>