<x-app-layout>

    <x-slot name="title">{{__('site.order')}}</x-slot>
    <x-slot name="activePage">order</x-slot>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('/admin/vendors/css/extensions/sweetalert.css') }}">
    <link rel="stylesheet" href="{{ asset('/site/css/order.css')}}">

    @endpush
    <div class=" section-padding dir">

        <div class="container">
            <div class="mb-4">
                <x-message-session />
            </div>
            <div class="row">

                <div class="col-12 col-md-8 col-lg-6">

                    <form method="POST" action="{{ route('site.order.store') }}">
                        @csrf
                        {{-- <div class="form-fild">
                            <p class="text-lang"><label>{{__('site.first_name')}}<span class="required">*</span></label>
                            </p>
                            <input class="text-lang" name="first_name" value="{{$user->first_name}}" type="text">

                            <x-input-error messages="first_name" type="string" class="mt-2" />
                        </div>
                        <div class="form-fild">
                            <p class="text-lang"><label>{{__('site.last_name')}}<span class="required">*</span></label>
                            </p>
                            <input class="text-lang" name="last_name" value="{{$user->last_name}}" type="text">
                            <x-input-error messages="last_name" type="string" class="mt-2" />
                        </div>
                        <div class="form-fild">
                            <p class="text-lang"><label>{{__('site.Email Address')}} <span
                                        class="required">*</span></label></p>
                            <input class="text-lang" name="email" value="{{$user->email}}" type="email">
                            <x-input-error messages="email" type="string" class="mt-2" />
                        </div> --}}
                        <div class="form-fild">
                            <p class="text-lang"><label>{{__('site.Country')}} <span class="required">*</span></label>
                            </p>
                            <input class="text-lang" name="country" value="{{$user->country}}" type="text">
                            <x-input-error type="string" messages="country" class="mt-2" />
                        </div>
                        <div class="form-fild">
                            <p class="text-lang"><label>{{__('site.City')}} <span class="required">*</span></label></p>
                            <input class="text-lang" name="city" value="{{$user->city}}" type="text">
                            <x-input-error type="string" messages="city" class="mt-2" />
                        </div>
                        <div class="form-fild">
                            <p class="text-lang"><label>{{__('site.address')}} <span class="required">*</span></label>
                            </p>
                            <input class="text-lang" name="address" value="{{$user->address}}" type="text">
                            <x-input-error type="string" messages="address" class="mt-2" />
                        </div>
                        <div class="form-fild">
                            <p class="text-lang"><label>{{__('site.Phone')}} <span class="required">*</span></label></p>
                            <input class="text-lang" name="phone" value="{{$user->phone}}" type="text">
                            <x-input-error type="string" messages="phone" class="mt-2" />
                        </div>
                        <div class="login-submit">
                            <button type="submit" class="button-default">{{__('site.save')}}</button>
                        </div>
                    </form>

                </div>

                <div class="col-12 col-md-4 col-lg-6">
                    <div class="pin-wrapper" style="height: 897.838px;">
                        <div class="order-summary-wrapper sticky-sidebar"
                            style="border-bottom: 0.8px solid rgb(238, 238, 238); width: 505px;">
                            <h3 class="title text-uppercase ls-10">{{__('site.Your Order')}}</h3>
                            <form action="{{route('site.order.store')}}" method="post">
                                @csrf
                                <div class="order-summary">
                                    <table class="order-table">
                                        <thead>
                                            <tr>
                                                <th colspan="2">
                                                    <b>{{__('site.product')}}</b>
                                                </th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @if ($cart != null || $cart != '')

                                            @if (count($cart->details) > 0)
                                            @foreach ($cart->details as $key => $item)
                                            <tr class="bb-no">
                                                <td class="product-name">
                                                    <span>{{$item->product->name}}</span>
                                                    <i class=" mx-1 fa fa-times"></i>
                                                    <span class="product-quantity">{{$item->quantity}}</span>
                                                </td>
                                                <td class="product-total text-left">{{$item->product->price}}</td>
                                            </tr>
                                            @endforeach
                                            @endif
                                            @endif
                                            {{-- <tr class="cart-subtotal bb-no">
                                                <td>
                                                    <b>Subtotal</b>
                                                </td>
                                                <td>
                                                    <b>{{$all_price}}</b>
                                                </td>
                                            </tr> --}}
                                        </tbody>
                                        <tfoot>

                                            <tr class="order-total">
                                                <th>
                                                    <b>{{__('site.Total')}}</b>
                                                </th>
                                                <td class="text-left">
                                                    <b>{{$all_price}}</b>
                                                </td>
                                            </tr>
                                        </tfoot>
                                    </table>

                                    <div class="form-group place-order pt-6">
                                        <button type="submit" class="btn btn-dark btn-block btn-rounded">
                                            {{__('site.Place Order')}}</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @push('script')
    <script type="text/javascript" src="{{ asset('/admin/vendors/js/extensions/sweetalert.min.js') }}"></script>


    @endpush
</x-app-layout>