<x-app-layout>

    <x-slot name="title">{{__('site.store')}}</x-slot>
    <x-slot name="activePage">store</x-slot>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('/admin/vendors/css/extensions/toastr.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('/admin/css-rtl/plugins/extensions/toastr.css') }}">
    <link rel="stylesheet" href="{{ asset('/site/css/cart.css')}}">
    @endpush
    <div class=" section-padding">

        <div class="container">
            <div class="mb-4">
                <x-message-session />
            </div>
            <div class="row">
                @foreach ($products as $product)

                <div class="col-12 col-md-4">
                    <div class="single-library text-center mt-30">
                        <div class="library-image">
                            <a href="{{route('site.store.details',$product->slug)}}">
                                <img src="{{$product->image ?  $product->getPathImage() : asset('admin/images/placeholder.png')}}"
                                    width="370" height="286" alt="Product"></a>
                            {{-- <span class="discount">-25%</span> --}}
                        </div>
                        <div class="library-content">
                            <h4 class="library-title"><a
                                    href="{{route('site.store.details',$product->slug)}}">{{$product->name}}</a></h4>
                            <span class="price">{{__('site.price')}}: {{$product->price}}</span>
                            <button data-id="{{$product->id}}" type="button"
                                class="mt-3 btn btn-rounded btn-orange btn-clear add-cart" name="clear_cart"
                                value="Clear Cart">{{__('site.Add to cart')}}</button>
                        </div>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </div>
    @push('script')
    <script type="text/javascript" src="{{ asset('/admin/vendors/js/extensions/toastr.min.js') }}"></script>
    <script>
        var success = "{{__('admin.success')}}"
        $('.add-cart').click(function (e) {
                e.preventDefault();
                var data = {
                    product : [{quantity : 1 ,product_id : $(this).data('id')}]
                }
                $.ajax({
                    type: "post",
                    url: "{{route('site.store.cart')}}",
                    data: data,
                    dataType: "json",
                    success: function (response) {
                        $('#count_cart').html(response.cart.total_count)
                        toastr.success(response.message, success, { "timeOut": 0, positionClass: 'toast-top-right' });
                    },
                    error: function (err) {
                        // console.log(err)
                        if(err.status == 401)
                        window.location = "/login";
                    }
                });
            });
    </script>
    @endpush
</x-app-layout>