<x-app-layout>

    <x-slot name="title">{{__('site.product_details')}}</x-slot>
    <x-slot name="activePage">product_details</x-slot>
    @push('style')
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/sliders/slick/slick.css')}}" />
    <link rel="stylesheet" type="text/css" href="{{ asset('admin/vendors/css/sliders/slick/slick-theme.css')}}" />
    <link rel="stylesheet" type="text/css" href="{{ asset('/admin/vendors/css/extensions/toastr.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('/admin/css-rtl/plugins/extensions/toastr.css') }}">
    <link rel="stylesheet" href="{{ asset('/site/css/cart.css')}}">
    <style>
        .multiple-images,
        .slider-for {
            direction: ltr;
            -webkit-transition: all .3s ease 0s;
            -moz-transition: all .3s ease 0s;
            -ms-transition: all .3s ease 0s;
            -o-transition: all .3s ease 0s;
            transition: all .3s ease 0s
        }

        .thumbail {
            padding: 6px;
            /* border: 1px solid #aaa; */
            margin-right: 5px;
        }

        .prev {
            position: absolute;
            top: 0;
            display: none !important;
            text-align: center;
            background-color: #f8f9fa;
            /* background-color: #07294d; */
            width: 48px;
            height: 100%;
            right: 0;
            line-height: 8;
            z-index: 2;
        }

        .next {
            position: absolute;
            top: 0;
            text-align: center;
            background-color: #f8f9fa;
            /* background-color: #07294d; */
            width: 48px;
            height: 100%;
            left: 0;
            line-height: 8;
            display: none !important;
        }

        .multiple-images:hover .prev,
        .multiple-images:hover .next {
            display: block !important;
            -webkit-transition: all .3s linear;
            -moz-transition: all .3s linear;
            -ms-transition: all .3s linear;
            -o-transition: all .3s linear;
            transition: all .3s linear
        }
    </style>
    @endpush
    <div class=" section-padding d-rtl">

        <div class="container">
            <div class="mb-4">
                <x-message-session />
            </div>
            <div class="row">
                <div class="col-9">
                    <div class="product-details-wrapper">
                        <div class="product-details-content">
                            <div class="row justify-content-center">
                                <div class="col-lg-8 col-md-8">
                                    <div class="details-image">
                                        <div class="slider-for">
                                            {{-- @foreach ($product->Images as $item)
                                            <img data-lazy="{{$item->getPathImage()}}" width="377" height="453"
                                                alt="image">
                                            @endforeach --}}

                                            {{-- <img
                                                src="{{$product->image ?  $product->getPathImage() : asset('admin/images/placeholder.png')}}"
                                                width="377" height="453" alt="Product Details"> --}}

                                            @foreach ($product->Images as $item)
                                            <div>
                                                <img src="{{$item->getPathImage()}}" alt="Product Details">
                                            </div>
                                            @endforeach

                                        </div>
                                        @if ($product->images)
                                        <div class="multiple-images mt-3">
                                            @foreach ($product->Images as $item)
                                            <div class="thumbail">
                                                <img data-lazy="{{$item->getPathImage()}}" alt="image">
                                            </div>
                                            @endforeach
                                        </div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-lg-4">
                                    <div class="details-content mt-45">
                                        <h4 class="product-title">{{$product->name}}</h4>
                                        <div class="price-rating">
                                            <span class="price">{{__('site.price')}}: {{$product->price}}</span>
                                        </div>
                                        <div class="product-content-wrapper">
                                            <div class="stock">
                                                <p class="mb-0">{{$product->description}}</p>
                                            </div>
                                        </div>
                                        <div class="product-btn">
                                            <div class="product-quantity">
                                                <div class="input-group">
                                                    <input class="quantity form-control" value="1" type="number" min="1"
                                                        max="100000">
                                                    <div class="quantity-plus fa fa-plus"></div>
                                                    <div class="quantity-minus fa fa-minus"></div>
                                                </div>
                                            </div>
                                            <input type="hidden" class="product_id" value="{{$product->id}}">
                                            <button class="btn btn-rounded btn-orange add-cart mt-3">
                                                {{__('site.Add to cart')}}</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @push('script')
    <script type="text/javascript" src="{{ asset('/admin/vendors/js/extensions/toastr.min.js') }}"></script>
    <script type="text/javascript" src="{{asset('admin/vendors/js/sliders/slick/slick.min.js')}}"></script>
    <script>
        var success = "{{__('admin.success')}}"
        $('.slider-for').slick({
            slidesToShow: 1,
            slidesToScroll: 1,
            arrows: false,
            fade: true,
            // lazyLoad: 'ondemand',
            asNavFor: '.multiple-images',
            });
        $('.multiple-images').slick({
                lazyLoad: 'ondemand',
                infinite: true,
                slidesToShow: 3,
                slidesToScroll: 3,
                asNavFor: '.slider-for',
                centerMode: true,
                arrows: true,
                prevArrow:"<i class='prev fa fa-arrow-right'></i>",
                nextArrow:"<i class='next fa fa-arrow-left'></i>",
                focusOnSelect: true
            });


            $('.quantity-plus').on('click', function () {
                if ($(this).prev().val()) {
                    $(this).prev().val(+$(this).prev().val() + 1);
                }
            });
            $('.quantity-minus').on('click', function () {
                // console.log($(this).prev().prev().val())
                var prev = $(this).prev().prev()
                if (prev.val() > 1) {
                    if (prev.val() > 1) prev.val(+prev.val() - 1);
                }
            });
            $('.add-cart').click(function (e) {
                e.preventDefault();

                var data = {
                    product : [{quantity : $('.quantity').val(),product_id : $('.product_id').val()}]
                }
                $.ajax({
                    type: "post",
                    url: "{{route('site.store.cart')}}",
                    data: data,
                    dataType: "json",
                    success: function (response) {
                        $('#count_cart').html(response.cart.total_count)
                        toastr.success(response.message, success, { "timeOut": 0, positionClass: 'toast-top-right' });
                    },
                    error: function (err) {
                        // console.log(err)
                        if(err.status == 401)
                        window.location = "/login";
                    }
                });
            });
    </script>
    @endpush
</x-app-layout>