<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('/site/img/logo.ico')); ?>">


    <title><?php echo e((isset($title)) ? $title : 'kids'); ?> </title>

    <!-- Fonts -->
    

    <!-- Scripts -->
    

    <link href='https://fonts.googleapis.com/css?family=Raleway:400,300,500,600,700,800' rel='stylesheet'
        type='text/css'>

    <!-- Color Swithcer CSS
		============================================ -->
    <link rel="stylesheet" href="<?php echo e(asset('/site/css/color-switcher.css')); ?>">

    <!-- Fontawsome CSS
		============================================ -->
    <link rel="stylesheet" href="<?php echo e(asset('/site/css/font-awesome.min.css')); ?>">

    <!-- Metarial Iconic Font CSS
		============================================ -->
    <link rel="stylesheet" href="<?php echo e(asset('/site/css/material-design-iconic-font.min.css')); ?>">

    <!-- Bootstrap CSS
		============================================ -->
    <link rel="stylesheet" href="<?php echo e(asset('/site/css/bootstrap.min.css')); ?>">

    <!-- Plugins CSS
		============================================ -->
    <link rel="stylesheet" href="<?php echo e(asset('/site/css/plugins.css')); ?>">

    <!-- Style CSS
		============================================ -->
    <link rel="stylesheet" href="<?php echo e(asset('/site/css/style.css')); ?>">

    <!-- Color CSS
		============================================ -->
    <link rel="stylesheet" href="<?php echo e(asset('/site/css/color.css')); ?>">

    <!-- Responsive CSS
		============================================ -->
    <link rel="stylesheet" href="<?php echo e(asset('/site/css/responsive.css')); ?>">

    <?php if(session()->get('direction') == "rtl"): ?>
    <link rel="stylesheet" href="<?php echo e(asset('/site/css/custome_rtl.css')); ?>">
    <?php else: ?>
    <link rel="stylesheet" href="<?php echo e(asset('/site/css/custome_ltr.css')); ?>">
    <?php endif; ?>
    <?php echo $__env->yieldPushContent('style'); ?>

    <!-- Modernizr JS
		============================================ -->
    <script src="<?php echo e(asset('/site/js/vendor/modernizr-2.8.3.min.js')); ?>"></script>
</head>

<body class="<?php echo e(session()->get('direction') == 'rtl' ? 'rtl' : 'ltr'); ?>">
    <div class="as-mainwrapper">
        <!--Bg White Start-->
        <div class="bg-white">
            <?php echo $__env->make('site.include.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php if(isset($activePage) && $activePage != 'home'): ?>
            <?php echo $__env->make('site.include.breadcrumb', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
            <?php endif; ?>

            <?php echo e($slot); ?>


            <?php echo $__env->make('site.include.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        </div>
    </div>

    <script src="<?php echo e(asset('/site/js/vendor/jquery-1.12.4.min.js')); ?>"></script>

    <!-- popper JS
    ============================================ -->
    <script src="<?php echo e(asset('/site/js/popper.min.js')); ?>"></script>

    <!-- bootstrap JS
    ============================================ -->
    <script src="<?php echo e(asset('/site/js/bootstrap.min.js')); ?>"></script>

    <!-- AJax Mail JS
    ============================================ -->
    

    <!-- plugins JS
    ============================================ -->
    <script src="<?php echo e(asset('/site/js/plugins.js')); ?>"></script>

    <!-- StyleSwitch JS
    ============================================ -->
    <script src="<?php echo e(asset('/site/js/styleswitch.js')); ?>"></script>

    <!-- main JS
    ============================================ -->
    <script src="<?php echo e(asset('/site/js/main.js')); ?>"></script>
    <?php if(auth()->guard()->check()): ?>
    <script>
        $.ajax({
                type: "get",
                url: "<?php echo e(route('site.cart.total_count')); ?>",
                dataType: "json",
                success: function (response) {
                    $('#count_cart').html(response.data);
                }
            });
    </script>
    <?php endif; ?>
    <script>
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });
            $('#search').keyup(function (e) {
                if ($(this).val().length > 0){
                    var data = {search_term:$(this).val()}
                    $.ajax({
                        type: "post",
                        url: "<?php echo e(route('site.store.search')); ?>",
                        data: data,
                        dataType: "json",
                        success: function (response) {
                            console.log(response);
                        },error: function (err){
                            console.log(err);
                        }
                    });
                }
            });
        });
    </script>
    <?php echo $__env->yieldPushContent('script'); ?>
</body>




</html><?php /**PATH C:\xampp\htdocs\kids-house\resources\views/layouts/app.blade.php ENDPATH**/ ?>